CFPRIME MISCHK                                                          MISCHK      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE MISCHK(LLNET)                                          MISCHK      3
CD                                                                      MISCHK      4
CD    AFTER THE Y-MATRIX HAS BEEN BUILT, THIS ROUTINE USES THE VOLTAGES MISCHK      5
CD    AND POWER AS READ IN FROM THE LOADFLOW HISTORY FILE TO CHECK THE  MISCHK      6
CD    VALIDITY FOR THE [Y] AND THE LOADFILE HISTORY FILE.               MISCHK      7
CD                                                                      MISCHK      8
      INCLUDE 'PARX.INS'                                                MISCHK      9
      INCLUDE 'CNFLAG.INS'                                              MISCHK     10
      INCLUDE 'CNPT.INS'                                                MISCHK     11
      INCLUDE 'CNIPTR.INS'                                              MISCHK     12
      INCLUDE 'CNSTN.INS'                                               MISCHK     13
      INCLUDE 'CNVOLT.INS'                                              MISCHK     14
      INCLUDE 'CNB3.INS'                                                MISCHK     15
      INCLUDE 'CNB4.INS'                                                MISCHK     16
      INCLUDE 'CNB5.INS'                                                MISCHK     17
      INCLUDE 'CNB6.INS'                                                MISCHK     18
      INCLUDE 'CNLFDA.INS'                                              MISCHK     19
      INCLUDE 'CNSELI.INS'                                              MISCHK     20
      INCLUDE 'CNLKN1.INS'                                              MISCHK     21
      INCLUDE 'CNLIN1.INS'                                              MISCHK     22
      INCLUDE 'CNSPDI.INS'                                              MISCHK     23
      INCLUDE 'CNBRAU.INS'                                              MISCHK     24
      INCLUDE 'CNBRAL.INS'                                              MISCHK     25
      INCLUDE 'CNUNIT.INS'                                              MISCHK     26
      INCLUDE 'CNMDAT.INS'                                              MISCHK     27
      INCLUDE 'CNQSTA.INS'                                              MISCHK     28
      INCLUDE 'CNLSTA.INS'                                              MISCHK     29
C - NEWLY ADDED (FEB. 15, 15600) ,  3 OF THEM                           MISCHK     30
      INCLUDE 'CNSVS.INS'                                               MISCHK     31
      INCLUDE 'CNRAN.INS'                                               MISCHK     32
      INCLUDE 'CNSTP.INS'                                               MISCHK     33
C                                                                       MISCHK     34
      INCLUDE 'GRDC01.INS'                                              MISCHK     35
      INCLUDE 'GRDC03.INS'                                              MISCHK     36
      INCLUDE 'UDCF.INS'                                                MISCHK     37
      INCLUDE 'UDCJ.INS'                                                MISCHK     38
      INCLUDE 'GRPDCS.INS'                                              MISCHK     39
      INCLUDE 'EQQSTA.INS'                                              MISCHK     40
      INCLUDE 'CNMASK.INS'                                              MISCHK     41
      INCLUDE 'CNMSG.INS'                                               MISCHK     42
C                                                                       MISCHK     43
C                                                                       MISCHK     44
      LOGICAL MFLAG,LDEB1                                               MISCHK     45
C                                                                       MISCHK     46
C      DIMENSION BUSKJ(NPL*2),BUSJK(NPL*2)                              MISCHK     47
C      EQUIVALENCE (BRAU(1),BUSKJ(1)),(BRAL(1),BUSJK(1))                MISCHK     48
C                                                                       MISCHK     49
C     IF NPL < 32678 INDEX AND LORD CAN BE HALFWORD ARRAY               MISCHK     50
C                                                                       MISCHK     51
      INTEGER  IFELIX(NB),ITBUS(NB)                                     MISCHK     52
      EQUIVALENCE (BUDAT(1),IFELIX(1)),(BUDAT(NB+1),ITBUS(1))           MISCHK     53
      INTEGER*4 JCKID                                                   MISCHK     54
      CHARACTER*4 CKID                                                  MISCHK     55
      CHARACTER*2 ICKT1                                                 MISCHK     56
      EQUIVALENCE (JCKID,CKID)                                          MISCHK     57
C                                                                       MISCHK     58
      INTEGER*4   ICKID                                                 MISCHK     59
      CHARACTER*4 CCKID                                                 MISCHK     60
      EQUIVALENCE (ICKID,CCKID)                                         MISCHK     61
      CHARACTER*132 KBUF(30),BLANK                                      MISCHK     62
      CHARACTER*80 KSBUF(30)                                            MISCHK     63
      BLANK=' '                                                         MISCHK     64
C                                                                       MISCHK     65
      LDEB=(JDEB(26).NE.0)                                              MISCHK     66
      LDEB1=(JDEB(291).NE.0)                                            MISCHK     67
C                                                                       MISCHK     68
      MFLAG=.TRUE.                                                      MISCHK     69
C                                                                       MISCHK     70
      IGFD=0                                                            MISCHK     71
      PTOL=.05                                                          MISCHK     72
C                                                                       MISCHK     73
C                                                                       MISCHK     74
C  CHECKING THE CONVERSION                                              MISCHK     75
C                                                                       MISCHK     76
      NTHGI=0                                                           MISCHK     77
      IBRS=0                                                            MISCHK     78
      IBRF=0                                                            MISCHK     79
      IL=61                                                             MISCHK     80
      IPAGE=IPAGE+1                                                     MISCHK     81
      WRITE(LOUT,6101)                                                  MISCHK     82
      WRITE(IU16,6100) IPAGE                                            MISCHK     83
      WRITE(IU16,5100)                                                  MISCHK     84
      IPLINE=10                                                         MISCHK     85
C             DETAIL GENERATOR BUS                                      MISCHK     86
      IF(NT.NE.0)THEN                                                   MISCHK     87
C                                                                       MISCHK     88
         K=0                                                            MISCHK     89
 100     K=K+1                                                          MISCHK     90
C                                                                       MISCHK     91
         NGCTF=NTHG(K+1)-NTHG(K)                                        MISCHK     92
         IF (NZFELI(K).NE.0) THEN                                       MISCHK     93
            NTHGI=NTHGI+NGCTF                                           MISCHK     94
            GOTO 140                                                    MISCHK     95
         ENDIF                                                          MISCHK     96
         CRBUS=0.0                                                      MISCHK     97
         CIBUS=0.0                                                      MISCHK     98
         CDLK=0.0                                                       MISCHK     99
         CQLK=0.0                                                       MISCHK    100
         BMWK=0.0                                                       MISCHK    101
         BMXK=0.0                                                       MISCHK    102
         NLF=NOLD(K)                                                    MISCHK    103
         DO 110 J=1,NGCTF                                               MISCHK    104
         NTHGI=NTHGI+1                                                  MISCHK    105
         CRBUS=CRBUS+CDG(1,NTHGI)                                       MISCHK    106
  110    CIBUS=CIBUS+CDG(2,NTHGI)                                       MISCHK    107
         VOLT1=REAL(VOLT(K))                                            MISCHK    108
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    109
         PDGK=VOLT1*CRBUS+VOLT2*CIBUS                                   MISCHK    110
         PQGK=VOLT2*CRBUS-VOLT1*CIBUS                                   MISCHK    111
C                                                                       MISCHK    112
         ASSIGN 122 TO I1700                                            MISCHK    113
         GO TO 1700                                                     MISCHK    114
 122     CONTINUE                                                       MISCHK    115
C                                                                       MISCHK    116
         PDGK=PDGK+PINF                                                 MISCHK    117
         PQGK=PQGK+QINF                                                 MISCHK    118
C                                                                       MISCHK    119
         ASSIGN 120 TO I1000                                            MISCHK    120
         ITFLAG=1                                                       MISCHK    121
         GOTO 1000                                                      MISCHK    122
  120    CONTINUE                                                       MISCHK    123
C                                                                       MISCHK    124
         IMACH=NTHM(2,K)                                                MISCHK    125
         IF(IMACH.EQ.0)GOTO 126                                         MISCHK    126
 125     CONTINUE                                                       MISCHK    127
         IF(NMOLD(IMACH).GT.0)THEN                                      MISCHK    128
         BMWK=BMWK-PDM(1,IMACH)                                         MISCHK    129
         BMXK=BMXK-PDM(2,IMACH)                                         MISCHK    130
         ENDIF                                                          MISCHK    131
         IMACH=NEXTIM(IMACH)                                            MISCHK    132
         IF(IMACH.NE.0)GOTO 125                                         MISCHK    133
 126     CONTINUE                                                       MISCHK    134
C                                                                       MISCHK    135
         ASSIGN 130 TO I2000                                            MISCHK    136
         GOTO 2000                                                      MISCHK    137
  130    CONTINUE                                                       MISCHK    138
C                                                                       MISCHK    139
         NTHSRK=NTHSR(3,K)                                              MISCHK    140
         IF(NTHSRK.NE.0)BLX=BLX+BSVCT(NTHSRK)                           MISCHK    141
C                                                                       MISCHK    142
         ASSIGN 140 TO I1100                                            MISCHK    143
         GOTO 1100                                                      MISCHK    144
  140    CONTINUE                                                       MISCHK    145
C                                                                       MISCHK    146
         IF(K.LT.IPNODE)GOTO 100                                        MISCHK    147
C                                                                       MISCHK    148
      ENDIF                                                             MISCHK    149
C                                                                       MISCHK    150
C  CHECK CONSTANT FLUX GENERATOR BUS                                    MISCHK    151
C                                                                       MISCHK    152
      IF(NBFT.NE.0)THEN                                                 MISCHK    153
C                                                                       MISCHK    154
         K=IPNODE                                                       MISCHK    155
 160     K=K+1                                                          MISCHK    156
C                                                                       MISCHK    157
C                                                                       MISCHK    158
         NTHGI=NTHGI+1                                                  MISCHK    159
         IF (NZFELI(K).NE.0) GOTO 200                                   MISCHK    160
         NLF=NOLD(K)                                                    MISCHK    161
         CRBUS=CDG(1,NTHGI)                                             MISCHK    162
         CIBUS=CDG(2,NTHGI)                                             MISCHK    163
         CDLK=0.0                                                       MISCHK    164
         CQLK=0.0                                                       MISCHK    165
         BMWK=0.0                                                       MISCHK    166
         BMXK=0.0                                                       MISCHK    167
         VOLT1=REAL(VOLT(K))                                            MISCHK    168
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    169
         PDGK=VOLT1*CRBUS+VOLT2*CIBUS                                   MISCHK    170
         PQGK=VOLT2*CRBUS-VOLT1*CIBUS                                   MISCHK    171
C                                                                       MISCHK    172
         ASSIGN 165 TO I1700                                            MISCHK    173
         GO TO 1700                                                     MISCHK    174
 165     CONTINUE                                                       MISCHK    175
C                                                                       MISCHK    176
         PDGK=PDGK+PINF                                                 MISCHK    177
         PQGK=PQGK+QINF                                                 MISCHK    178
C                                                                       MISCHK    179
         ASSIGN 170 TO I1000                                            MISCHK    180
         ITFLAG=1                                                       MISCHK    181
         GOTO 1000                                                      MISCHK    182
 170     CONTINUE                                                       MISCHK    183
C                                                                       MISCHK    184
         IMACH=NTHM(2,K)                                                MISCHK    185
         IF(IMACH.EQ.0)GOTO 176                                         MISCHK    186
 175     CONTINUE                                                       MISCHK    187
         IF(NMOLD(IMACH).GT.0)THEN                                      MISCHK    188
         BMWK=BMWK-PDM(1,IMACH)                                         MISCHK    189
         BMXK=BMXK-PDM(2,IMACH)                                         MISCHK    190
         ENDIF                                                          MISCHK    191
         IMACH=NEXTIM(IMACH)                                            MISCHK    192
         IF(IMACH.NE.0)GOTO 175                                         MISCHK    193
 176     CONTINUE                                                       MISCHK    194
C                                                                       MISCHK    195
         ASSIGN 180 TO I2000                                            MISCHK    196
         GOTO 2000                                                      MISCHK    197
  180    CONTINUE                                                       MISCHK    198
C                                                                       MISCHK    199
         NTHSRK=NTHSR(3,K)                                              MISCHK    200
         IF(NTHSRK.EQ.0)GOTO 190                                        MISCHK    201
         BLX=BLX+BSVCT(NTHSRK)                                          MISCHK    202
  190    CONTINUE                                                       MISCHK    203
C                                                                       MISCHK    204
         ASSIGN 200 TO I1100                                            MISCHK    205
         GOTO 1100                                                      MISCHK    206
  200    CONTINUE                                                       MISCHK    207
C                                                                       MISCHK    208
         IF(K .LT. ICNODE)GOTO 160                                      MISCHK    209
      ENDIF                                                             MISCHK    210
C                                                                       MISCHK    211
C  CHECK MOTOR LOAD BUS                                                 MISCHK    212
C                                                                       MISCHK    213
      IF(IMNODE.NE.0)THEN                                               MISCHK    214
C                                                                       MISCHK    215
         K=ICNODX-1                                                     MISCHK    216
  210    K=K+1                                                          MISCHK    217
C                                                                       MISCHK    218
         IF (NZFELI(K).NE.0) GOTO 240                                   MISCHK    219
         NLF=NOLD(K)                                                    MISCHK    220
         BMWK=0.0                                                       MISCHK    221
         BMXK=0.0                                                       MISCHK    222
         VOLT1=REAL(VOLT(K))                                            MISCHK    223
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    224
C                                                                       MISCHK    225
         ASSIGN 215 TO I1700                                            MISCHK    226
         GO TO 1700                                                     MISCHK    227
 215     CONTINUE                                                       MISCHK    228
C                                                                       MISCHK    229
         BMWK=BMWK+PINF                                                 MISCHK    230
         BMXK=BMXK+QINF                                                 MISCHK    231
C                                                                       MISCHK    232
         ASSIGN 220 TO I1000                                            MISCHK    233
         ITFLAG=1                                                       MISCHK    234
         GOTO 1000                                                      MISCHK    235
 220     CONTINUE                                                       MISCHK    236
C                                                                       MISCHK    237
         IMACH=NTHM(2,K)                                                MISCHK    238
         IF(IMACH.EQ.0)GOTO 226                                         MISCHK    239
 225     CONTINUE                                                       MISCHK    240
         IF(NMOLD(IMACH).GT.0)THEN                                      MISCHK    241
         BMWK=BMWK-PDM(1,IMACH)                                         MISCHK    242
         BMXK=BMXK-PDM(2,IMACH)                                         MISCHK    243
         IMACH=NEXTIM(IMACH)                                            MISCHK    244
         ENDIF                                                          MISCHK    245
         IF(IMACH.NE.0)GOTO 225                                         MISCHK    246
 226     CONTINUE                                                       MISCHK    247
C                                                                       MISCHK    248
         ASSIGN 230 TO I2000                                            MISCHK    249
         GOTO 2000                                                      MISCHK    250
  230    CONTINUE                                                       MISCHK    251
C                                                                       MISCHK    252
         NTHSRK=NTHSR(3,K)                                              MISCHK    253
         IF(NTHSRK.NE.0)BLX=BLX+BSVCT(NTHSRK)                           MISCHK    254
C                                                                       MISCHK    255
         ASSIGN 240 TO I1200                                            MISCHK    256
         GOTO 1200                                                      MISCHK    257
C                                                                       MISCHK    258
  240    CONTINUE                                                       MISCHK    259
C                                                                       MISCHK    260
        IF(K .LT. IMNODE)GOTO 210                                       MISCHK    261
C                                                                       MISCHK    262
      ENDIF                                                             MISCHK    263
C                                                                       MISCHK    264
C  CHECK THERMAL LOAD BUSES                                             MISCHK    265
C                                                                       MISCHK    266
      IF(ITNODE.NE.0)THEN                                               MISCHK    267
C                                                                       MISCHK    268
         K=IMNODX-1                                                     MISCHK    269
 250     K=K+1                                                          MISCHK    270
C                                                                       MISCHK    271
         DO 255 I=1,NTSCL                                               MISCHK    272
          JTSC=JTCDAT(I)                                                MISCHK    273
          IF(IDDAT(JTSC+1).EQ.K)GOTO 256                                MISCHK    274
 255     CONTINUE                                                       MISCHK    275
         GOTO 280                                                       MISCHK    276
 256     CONTINUE                                                       MISCHK    277
         IF (NZFELI(K).NE.0) GOTO 280                                   MISCHK    278
C                                                                       MISCHK    279
         NLF=NOLD(K)                                                    MISCHK    280
         BMWK=0.0                                                       MISCHK    281
         BMXK=0.0                                                       MISCHK    282
         VOLT1=REAL(VOLT(K))                                            MISCHK    283
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    284
         VMG2=VOLT1*VOLT1+VOLT2*VOLT2                                   MISCHK    285
         BMWK=BMWK-DDAT(JTSC+10)*VMG2                                   MISCHK    286
C                                                                       MISCHK    287
         ASSIGN 257 TO I1700                                            MISCHK    288
         GO TO 1700                                                     MISCHK    289
 257     CONTINUE                                                       MISCHK    290
C                                                                       MISCHK    291
         BMWK=BMWK+PINF                                                 MISCHK    292
         BMXK=BMXK+QINF                                                 MISCHK    293
C                                                                       MISCHK    294
         ASSIGN 260 TO I1000                                            MISCHK    295
         ITFLAG=2                                                       MISCHK    296
         GOTO 1000                                                      MISCHK    297
 260     CONTINUE                                                       MISCHK    298
C                                                                       MISCHK    299
         ASSIGN 270 TO I2000                                            MISCHK    300
         GOTO 2000                                                      MISCHK    301
  270    CONTINUE                                                       MISCHK    302
C                                                                       MISCHK    303
         ASSIGN 280 TO I1200                                            MISCHK    304
         GOTO 1200                                                      MISCHK    305
  280    CONTINUE                                                       MISCHK    306
C                                                                       MISCHK    307
       IF(K .LT. ITNODE)GOTO 250                                        MISCHK    308
C                                                                       MISCHK    309
      ENDIF                                                             MISCHK    310
C                                                                       MISCHK    311
C                                                                       MISCHK    312
C  CHECK SVC BUS                                                        MISCHK    313
C                                                                       MISCHK    314
      IF(ISVNOE.NE.0)THEN                                               MISCHK    315
C                                                                       MISCHK    316
         K=ITNODX-1                                                     MISCHK    317
 290     K=K+1                                                          MISCHK    318
C                                                                       MISCHK    319
         IF (NZFELI(K).NE.0) GOTO 320                                   MISCHK    320
C                                                                       MISCHK    321
         NLF=NOLD(K)                                                    MISCHK    322
         BMWK=0.0                                                       MISCHK    323
         BMXK=0.0                                                       MISCHK    324
         VOLT1=REAL(VOLT(K))                                            MISCHK    325
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    326
C                                                                       MISCHK    327
         ASSIGN 305 TO I1700                                            MISCHK    328
         GO TO 1700                                                     MISCHK    329
 305     CONTINUE                                                       MISCHK    330
C                                                                       MISCHK    331
         BMWK=BMWK+PINF                                                 MISCHK    332
         BMXK=BMXK+QINF                                                 MISCHK    333
C                                                                       MISCHK    334
         ASSIGN 300 TO I1000                                            MISCHK    335
         ITFLAG=1                                                       MISCHK    336
         GOTO 1000                                                      MISCHK    337
 300     CONTINUE                                                       MISCHK    338
C                                                                       MISCHK    339
         ASSIGN 310 TO I2000                                            MISCHK    340
         GOTO 2000                                                      MISCHK    341
  310    CONTINUE                                                       MISCHK    342
C                                                                       MISCHK    343
         NTHSRK=NTHSR(3,K)                                              MISCHK    344
         IF(NTHSRK.NE.0)BLX=BLX+BSVCT(NTHSRK)                           MISCHK    345
C                                                                       MISCHK    346
         ASSIGN 320 TO I1200                                            MISCHK    347
         GOTO 1200                                                      MISCHK    348
  320    CONTINUE                                                       MISCHK    349
C                                                                       MISCHK    350
       IF(K .LT. ISVNOE)GOTO 290                                        MISCHK    351
C                                                                       MISCHK    352
      ENDIF                                                             MISCHK    353
C                                                                       MISCHK    354
C  CHECK ULTC BUS                                                       MISCHK    355
C                                                                       MISCHK    356
      IF(ITCNOE.NE.0)THEN                                               MISCHK    357
C                                                                       MISCHK    358
         K=ISVNOX-1                                                     MISCHK    359
 330     K=K+1                                                          MISCHK    360
C                                                                       MISCHK    361
         IF (NZFELI(K).NE.0) GOTO 360                                   MISCHK    362
C                                                                       MISCHK    363
         NLF=NOLD(K)                                                    MISCHK    364
         BMWK=0.0                                                       MISCHK    365
         BMXK=0.0                                                       MISCHK    366
         VOLT1=REAL(VOLT(K))                                            MISCHK    367
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    368
C                                                                       MISCHK    369
         ASSIGN 335 TO I1700                                            MISCHK    370
         GO TO 1700                                                     MISCHK    371
 335     CONTINUE                                                       MISCHK    372
C                                                                       MISCHK    373
         BMWK=BMWK+PINF                                                 MISCHK    374
         BMXK=BMXK+QINF                                                 MISCHK    375
C                                                                       MISCHK    376
         ASSIGN 340 TO I1000                                            MISCHK    377
         ITFLAG=1                                                       MISCHK    378
         GOTO 1000                                                      MISCHK    379
 340     CONTINUE                                                       MISCHK    380
C                                                                       MISCHK    381
         ASSIGN 350 TO I2000                                            MISCHK    382
         GOTO 2000                                                      MISCHK    383
  350    CONTINUE                                                       MISCHK    384
C                                                                       MISCHK    385
         ASSIGN 360 TO I1200                                            MISCHK    386
         GOTO 1200                                                      MISCHK    387
  360    CONTINUE                                                       MISCHK    388
C                                                                       MISCHK    389
       IF(K .LT. ITCNOE)GOTO 330                                        MISCHK    390
C                                                                       MISCHK    391
      ENDIF                                                             MISCHK    392
C                                                                       MISCHK    393
C  CHECK RANI BUSES                                                     MISCHK    394
C                                                                       MISCHK    395
      IF(IRANOE.NE.0)THEN                                               MISCHK    396
C                                                                       MISCHK    397
         K=ITCNOX-1                                                     MISCHK    398
  370    K=K+1                                                          MISCHK    399
C                                                                       MISCHK    400
         IF (NZFELI(K).NE.0) GOTO 400                                   MISCHK    401
C                                                                       MISCHK    402
         NLF=NOLD(K)                                                    MISCHK    403
         BMWK=0.0                                                       MISCHK    404
         BMXK=0.0                                                       MISCHK    405
         VOLT1=REAL(VOLT(K))                                            MISCHK    406
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    407
C                                                                       MISCHK    408
         ASSIGN 375 TO I1700                                            MISCHK    409
         GO TO 1700                                                     MISCHK    410
 375     CONTINUE                                                       MISCHK    411
C                                                                       MISCHK    412
         BMWK=BMWK+PINF                                                 MISCHK    413
         BMXK=BMXK+QINF                                                 MISCHK    414
C                                                                       MISCHK    415
         ASSIGN 380 TO I1000                                            MISCHK    416
         ITFLAG=1                                                       MISCHK    417
         GOTO 1000                                                      MISCHK    418
 380     CONTINUE                                                       MISCHK    419
C                                                                       MISCHK    420
         ASSIGN 390 TO I2000                                            MISCHK    421
         GOTO 2000                                                      MISCHK    422
 390     CONTINUE                                                       MISCHK    423
C                                                                       MISCHK    424
         NTHSRK=NTHSR(3,K)                                              MISCHK    425
         IF(NTHSRK.NE.0)BLX=BLX+BSVCT(NTHSRK)                           MISCHK    426
C                                                                       MISCHK    427
         ASSIGN 400 TO I1200                                            MISCHK    428
         GOTO 1200                                                      MISCHK    429
C                                                                       MISCHK    430
  400    CONTINUE                                                       MISCHK    431
C                                                                       MISCHK    432
       IF(K .LT. IRANOE)GOTO 370                                        MISCHK    433
C                                                                       MISCHK    434
      ENDIF                                                             MISCHK    435
C                                                                       MISCHK    436
C     CKECK STP BUSES                                                   MISCHK    437
C                                                                       MISCHK    438
      IF(ITPNOE.NE.0)THEN                                               MISCHK    439
C                                                                       MISCHK    440
         K=IRANOX-1                                                     MISCHK    441
 410     K=K+1                                                          MISCHK    442
C                                                                       MISCHK    443
         IF (NZFELI(K).NE.0) GOTO 440                                   MISCHK    444
C                                                                       MISCHK    445
         NLF=NOLD(K)                                                    MISCHK    446
         BMWK=0.0                                                       MISCHK    447
         BMXK=0.0                                                       MISCHK    448
         VOLT1=REAL(VOLT(K))                                            MISCHK    449
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    450
C                                                                       MISCHK    451
         ASSIGN 415 TO I1700                                            MISCHK    452
         GO TO 1700                                                     MISCHK    453
 415     CONTINUE                                                       MISCHK    454
C                                                                       MISCHK    455
         BMWK=BMWK+PINF                                                 MISCHK    456
         BMXK=BMXK+QINF                                                 MISCHK    457
C                                                                       MISCHK    458
         ASSIGN 420 TO I1000                                            MISCHK    459
         ITFLAG=1                                                       MISCHK    460
         GOTO 1000                                                      MISCHK    461
 420     CONTINUE                                                       MISCHK    462
C                                                                       MISCHK    463
         ASSIGN 430 TO I2000                                            MISCHK    464
         GOTO 2000                                                      MISCHK    465
 430     CONTINUE                                                       MISCHK    466
C                                                                       MISCHK    467
         NTHSRK=NTHSR(3,K)                                              MISCHK    468
         IF(NTHSRK.NE.0)BLX=BLX+BSVCT(NTHSRK)                           MISCHK    469
C                                                                       MISCHK    470
         ASSIGN 440 TO I1200                                            MISCHK    471
         GOTO 1200                                                      MISCHK    472
C                                                                       MISCHK    473
  440    CONTINUE                                                       MISCHK    474
C                                                                       MISCHK    475
       IF(K .LT. ITPNOE)GOTO 410                                        MISCHK    476
C                                                                       MISCHK    477
      ENDIF                                                             MISCHK    478
C                                                                       MISCHK    479
C     CKECK SDB BUSES                                                   MISCHK    480
C                                                                       MISCHK    481
      IF(IDBNOE.NE.0)THEN                                               MISCHK    482
C                                                                       MISCHK    483
         K=ITPNOX-1                                                     MISCHK    484
 450     K=K+1                                                          MISCHK    485
C                                                                       MISCHK    486
         IF (NZFELI(K).NE.0) GOTO 480                                   MISCHK    487
C                                                                       MISCHK    488
         NLF=NOLD(K)                                                    MISCHK    489
         BMWK=0.0                                                       MISCHK    490
         BMXK=0.0                                                       MISCHK    491
         VOLT1=REAL(VOLT(K))                                            MISCHK    492
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    493
C                                                                       MISCHK    494
         ASSIGN 465 TO I1700                                            MISCHK    495
         GO TO 1700                                                     MISCHK    496
 465     CONTINUE                                                       MISCHK    497
C                                                                       MISCHK    498
         BMWK=BMWK+PINF                                                 MISCHK    499
         BMXK=BMXK+QINF                                                 MISCHK    500
C                                                                       MISCHK    501
         ASSIGN 460 TO I1000                                            MISCHK    502
         ITFLAG=1                                                       MISCHK    503
         GOTO 1000                                                      MISCHK    504
 460     CONTINUE                                                       MISCHK    505
C                                                                       MISCHK    506
         ASSIGN 470 TO I2000                                            MISCHK    507
         GOTO 2000                                                      MISCHK    508
 470     CONTINUE                                                       MISCHK    509
C                                                                       MISCHK    510
         NTHSRK=NTHSR(3,K)                                              MISCHK    511
         IF(NTHSRK.NE.0)BLX=BLX+BSVCT(NTHSRK)                           MISCHK    512
C                                                                       MISCHK    513
         ASSIGN 480 TO I1200                                            MISCHK    514
         GOTO 1200                                                      MISCHK    515
C                                                                       MISCHK    516
  480    CONTINUE                                                       MISCHK    517
C                                                                       MISCHK    518
       IF(K .LT.IDBNOE)GOTO 450                                         MISCHK    519
C                                                                       MISCHK    520
      ENDIF                                                             MISCHK    521
C                                                                       MISCHK    522
C             CHECK NON-LINEAR LOAD BUS                                 MISCHK    523
C                                                                       MISCHK    524
      IF(NLOD.NE.0)THEN                                                 MISCHK    525
         ISHIFT=0                                                       MISCHK    526
C                                                                       MISCHK    527
         I=0                                                            MISCHK    528
 500     I=I+1                                                          MISCHK    529
C                                                                       MISCHK    530
         BMWK=0.0                                                       MISCHK    531
         BMXK=0.0                                                       MISCHK    532
         CDLK=0.0                                                       MISCHK    533
         CQLK=0.0                                                       MISCHK    534
C                                                                       MISCHK    535
         K=NLDOLD(I)                                                    MISCHK    536
         NLF=NOLD(K)                                                    MISCHK    537
         NCOMP=NLCOMP(1,I)                                              MISCHK    538
C                                                                       MISCHK    539
         IF (NZFELI(K).NE.0)THEN                                        MISCHK    540
          ISHIFT=ISHIFT+NCOMP                                           MISCHK    541
          GOTO 580                                                      MISCHK    542
         ENDIF                                                          MISCHK    543
C                                                                       MISCHK    544
         IF(K.LT.IDBNOX)THEN                                            MISCHK    545
          ISHIFT=ISHIFT+NCOMP                                           MISCHK    546
          GOTO 580                                                      MISCHK    547
         ENDIF                                                          MISCHK    548
                                                                        MISCHK    549
         VOLT1=REAL(VOLT(K))                                            MISCHK    550
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    551
         VMG2=VOLT1*VOLT1+VOLT2*VOLT2                                   MISCHK    552
         VMG=SQRT(VMG2)                                                 MISCHK    553
C                                                                       MISCHK    554
         II=0                                                           MISCHK    555
 510     II=II+1                                                        MISCHK    556
         IF(II.GT.NCOMP)GOTO 560                                        MISCHK    557
         ISHIFT=ISHIFT+1                                                MISCHK    558
         NTYPE=NLTYPE(ISHIFT)                                           MISCHK    559
         GOTO (520,530,540,550)NTYPE                                    MISCHK    560
C                                                                       MISCHK    561
C                                                                       MISCHK    562
C             CHECK CONSTANT CURRENT LOAD BUS                           MISCHK    563
C                                                                       MISCHK    564
 520     CONTINUE                                                       MISCHK    565
C                                                                       MISCHK    566
         JNL=JDNLL(ISHIFT)                                              MISCHK    567
C                                                                       MISCHK    568
         BMWK=BMWK-DDAT(JNL+2)*VMG                                      MISCHK    569
         BMXK=BMXK-DDAT(JNL+3)*VMG                                      MISCHK    570
C                                                                       MISCHK    571
C   CALCULATE THE CURRENT                                               MISCHK    572
C                                                                       MISCHK    573
         CDLK= CDLK+( DDAT(JNL+2)*VOLT1+DDAT(JNL+3)*VOLT2 )/VMG         MISCHK    574
         CQLK= CQLK+( DDAT(JNL+2)*VOLT2-DDAT(JNL+3)*VOLT1 )/VMG         MISCHK    575
C                                                                       MISCHK    576
         GOTO 510                                                       MISCHK    577
C                                                                       MISCHK    578
C             CHECK CONTANT MVA LOAD BUS                                MISCHK    579
C                                                                       MISCHK    580
 530     CONTINUE                                                       MISCHK    581
C                                                                       MISCHK    582
         JNL=JDNLL(ISHIFT)                                              MISCHK    583
C                                                                       MISCHK    584
         BMWK=BMWK-DDAT(JNL+2)                                          MISCHK    585
         BMXK=BMXK-DDAT(JNL+3)                                          MISCHK    586
C                                                                       MISCHK    587
C   CALCULATE THE CURRENT                                               MISCHK    588
C                                                                       MISCHK    589
         CDLK= CDLK+( DDAT(JNL+2)*VOLT1+DDAT(JNL+3)*VOLT2 )/VMG2        MISCHK    590
         CQLK= CQLK+( DDAT(JNL+2)*VOLT2-DDAT(JNL+3)*VOLT1 )/VMG2        MISCHK    591
C                                                                       MISCHK    592
         GOTO 510                                                       MISCHK    593
C                                                                       MISCHK    594
 540     CONTINUE                                                       MISCHK    595
C                                                                       MISCHK    596
         JNL=JDNLL(ISHIFT)                                              MISCHK    597
C                                                                       MISCHK    598
         CDLK=DDAT(JNL+4)+CDLK                                          MISCHK    599
         CQLK=DDAT(JNL+5)+CQLK                                          MISCHK    600
C                                                                       MISCHK    601
         CDLKX=DDAT(JNL+4)                                              MISCHK    602
         CQLKX=DDAT(JNL+5)                                              MISCHK    603
         BMWK=BMWK+VOLT1*CDLKX+VOLT2*CQLKX                              MISCHK    604
         BMXK=BMXK+VOLT2*CDLKX-VOLT1*CQLKX                              MISCHK    605
         GOTO 510                                                       MISCHK    606
C                                                                       MISCHK    607
C  COMPOSITE LOAD                                                       MISCHK    608
C                                                                       MISCHK    609
 550     CONTINUE                                                       MISCHK    610
C                                                                       MISCHK    611
         PBAR=DDAT(JNL+4)*DDAT(JNL+6)                                   MISCHK    612
         QBAR=DDAT(JNL+5)*DDAT(JNL+6)                                   MISCHK    613
         SMAG=PBAR*PBAR+QBAR*QBAR                                       MISCHK    614
         CMAG=SMAG/DDAT(JNL+6)                                          MISCHK    615
         BMWK=BMWK+PBAR*DDAT(JNL+1)                                     MISCHK    616
         BMXK=BMXK+QBAR*DDAT(JNL+2)                                     MISCHK    617
C                                                                       MISCHK    618
         GOTO 510                                                       MISCHK    619
C                                                                       MISCHK    620
C                                                                       MISCHK    621
 560     CONTINUE                                                       MISCHK    622
C                                                                       MISCHK    623
         ASSIGN 564 TO I1700                                            MISCHK    624
         GO TO 1700                                                     MISCHK    625
 564     CONTINUE                                                       MISCHK    626
C                                                                       MISCHK    627
         BMWK=BMWK+PINF                                                 MISCHK    628
         BMXK=BMXK+QINF                                                 MISCHK    629
C                                                                       MISCHK    630
         ASSIGN 565 TO I1000                                            MISCHK    631
         ITFLAG=3                                                       MISCHK    632
         GOTO 1000                                                      MISCHK    633
 565     CONTINUE                                                       MISCHK    634
C                                                                       MISCHK    635
         ASSIGN 570 TO I2000                                            MISCHK    636
         GOTO 2000                                                      MISCHK    637
 570     CONTINUE                                                       MISCHK    638
C                                                                       MISCHK    639
         ASSIGN 580 TO I1200                                            MISCHK    640
         GOTO 1200                                                      MISCHK    641
C                                                                       MISCHK    642
  580    CONTINUE                                                       MISCHK    643
C                                                                       MISCHK    644
         IF(I .LT. NLOD)GOTO 500                                        MISCHK    645
C                                                                       MISCHK    646
C     ENDIF NLOD .GT.0                                                  MISCHK    647
C                                                                       MISCHK    648
      ENDIF                                                             MISCHK    649
C                                                                       MISCHK    650
C  CHECK THE CONVERTER BUS                                              MISCHK    651
C                                                                       MISCHK    652
      IF(NACBU2.NE.0)THEN                                               MISCHK    653
         LM=0                                                           MISCHK    654
  600    LM=LM+1                                                        MISCHK    655
         PA=0.0                                                         MISCHK    656
         QA=0.0                                                         MISCHK    657
         DO 621 II1=1,ICDC                                              MISCHK    658
         JPOSN=IDC(II1)                                                 MISCHK    659
         IF(JPOSN.EQ.0) GO TO 621                                       MISCHK    660
         LM1 = IDCBNU(JPOSN)                                            MISCHK    661
         IF(LM1.EQ.0) GO TO 621                                         MISCHK    662
         LM2 = IDCBN2(JPOSN)                                            MISCHK    663
         IF(LM1.EQ.LM) THEN                                             MISCHK    664
            IF(ICDC.LE.LCDC) THEN                                       MISCHK    665
               PA=PA+PAHVDC(JPOSN)/PABASE                               MISCHK    666
               QA=QA+QAHVDC(JPOSN)/PABASE                               MISCHK    667
            ELSE                                                        MISCHK    668
               VR1=DCEA(LM1)                                            MISCHK    669
               VI1=DCEB(LM1)                                            MISCHK    670
               IF(LM2.EQ.0) THEN                                        MISCHK    671
                  VR2=0.0                                               MISCHK    672
                  VI2=0.0                                               MISCHK    673
               ELSE                                                     MISCHK    674
                  VR2=DCEA(LM2)                                         MISCHK    675
                  VI2=DCEB(LM2)                                         MISCHK    676
               ENDIF                                                    MISCHK    677
               VREAL=VR1-VR2                                            MISCHK    678
               VIMAG=VI1-VI2                                            MISCHK    679
               VM2=VREAL*VREAL+VIMAG*VIMAG                              MISCHK    680
               PA=PA+(PAHVDC(JPOSN)*(1.0+(VR2*VREAL+VI2*VIMAG)/VM2)+    MISCHK    681
     &            (QAHVDC(JPOSN)+Q2HVDC(JPOSN))*                        MISCHK    682
     &            (VR2*VIMAG-VI2*VREAL)/VM2)/PABASE                     MISCHK    683
               QA=QA+((QAHVDC(JPOSN)+Q2HVDC(JPOSN))*                    MISCHK    684
     &            (1.0+(VR2*VREAL+VI2*VIMAG)/VM2)-                      MISCHK    685
     &            PAHVDC(JPOSN)*(VR2*VIMAG-VI2*VREAL)/VM2)/PABASE       MISCHK    686
            ENDIF                                                       MISCHK    687
         ENDIF                                                          MISCHK    688
         IF(LM2.EQ.0) GO TO 621                                         MISCHK    689
         IF(LM2.EQ.LM) THEN                                             MISCHK    690
            VR1=DCEA(LM1)                                               MISCHK    691
            VI1=DCEB(LM1)                                               MISCHK    692
            VR2=DCEA(LM2)                                               MISCHK    693
            VI2=DCEB(LM2)                                               MISCHK    694
            VREAL=VR1-VR2                                               MISCHK    695
            VIMAG=VI1-VI2                                               MISCHK    696
            VM2=VREAL*VREAL+VIMAG*VIMAG                                 MISCHK    697
            PA=PA-(PAHVDC(JPOSN)*(VR2*VREAL+VI2*VIMAG)+                 MISCHK    698
     &         (QAHVDC(JPOSN)+Q2HVDC(JPOSN))*                           MISCHK    699
     &         (VR2*VIMAG-VI2*VREAL))/VM2/PABASE                        MISCHK    700
            QA=QA-((QAHVDC(JPOSN)+Q2HVDC(JPOSN))*                       MISCHK    701
     &         (VR2*VREAL+VI2*VIMAG)-PAHVDC(JPOSN)*                     MISCHK    702
     &         (VR2*VIMAG-VI2*VREAL))/VM2/PABASE                        MISCHK    703
         ENDIF                                                          MISCHK    704
 621     CONTINUE                                                       MISCHK    705
         K=IUQABU(LM)                                                   MISCHK    706
         IF (NZFELI(K).NE.0) GOTO 620                                   MISCHK    707
C                                                                       MISCHK    708
         NLF=NOLD(K)                                                    MISCHK    709
         VOLT1=REAL(VOLT(K))                                            MISCHK    710
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    711
C                                                                       MISCHK    712
         ASSIGN 605 TO I1700                                            MISCHK    713
         GOTO 1700                                                      MISCHK    714
  605    CONTINUE                                                       MISCHK    715
C                                                                       MISCHK    716
         ASSIGN 610 TO I2000                                            MISCHK    717
         GOTO 2000                                                      MISCHK    718
  610    CONTINUE                                                       MISCHK    719
C                                                                       MISCHK    720
         IF(LDEB)THEN                                                   MISCHK    721
            I3=K*3                                                      MISCHK    722
      WRITE(IUD6,5300) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)        MISCHK    723
     &      ,GLX,BLX,VOLT(K)                                            MISCHK    724
         ENDIF                                                          MISCHK    725
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    MISCHK    726
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    MISCHK    727
         PWK=VOLT1*CRO+VOLT2*CIO                                        MISCHK    728
         PQK=VOLT2*CRO-VOLT1*CIO                                        MISCHK    729
         PWDF=-PWK+PA+PINF                                              MISCHK    730
         PQDF=-PQK+QA+QINF                                              MISCHK    731
         IF(LDEB)WRITE(IUD6,6000) PA,QA                                 MISCHK    732
C                                                                       MISCHK    733
       ASSIGN 620 TO I1300                                              MISCHK    734
       GOTO 1300                                                        MISCHK    735
 620   CONTINUE                                                         MISCHK    736
C                                                                       MISCHK    737
         IF(LM.LT.NACBU2)GOTO 600                                       MISCHK    738
      ENDIF                                                             MISCHK    739
C                                                                       MISCHK    740
C  CHECK THE REMAINING BUS                                              MISCHK    741
C                                                                       MISCHK    742
      IF(IKPNOX.GT.NLAST)GOTO 665                                       MISCHK    743
       K=IKPNOX-1                                                       MISCHK    744
 630   K=K+1                                                            MISCHK    745
       IF (NZFELI(K).NE.0) GOTO 660                                     MISCHK    746
C                                                                       MISCHK    747
        NLF=NOLD(K)                                                     MISCHK    748
        VOLT1=REAL(VOLT(K))                                             MISCHK    749
        VOLT2=AIMAG(VOLT(K))                                            MISCHK    750
C                                                                       MISCHK    751
         ASSIGN 640 TO I2000                                            MISCHK    752
         GOTO 2000                                                      MISCHK    753
 640     CONTINUE                                                       MISCHK    754
C                                                                       MISCHK    755
      IF(LDEB)THEN                                                      MISCHK    756
         I3=K*3                                                         MISCHK    757
         WRITE(IUD6,5300) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)     MISCHK    758
     &   ,GLX,BLX,VOLT(K)                                               MISCHK    759
      ENDIF                                                             MISCHK    760
C                                                                       MISCHK    761
C    CHECK FOR THE CURRENT DUE TO THE  INIFITE BUS                      MISCHK    762
C                                                                       MISCHK    763
      PINF=0.                                                           MISCHK    764
      QINF=0.                                                           MISCHK    765
      DO 650 II=1,KFBUS                                                 MISCHK    766
       IF( KCINF(II).EQ.K)THEN                                          MISCHK    767
        CRX=REAL( CINF(II) )                                            MISCHK    768
        CIX=AIMAG( CINF(II) )                                           MISCHK    769
        PINF=VOLT1*CRX+VOLT2*CIX+PINF                                   MISCHK    770
        QINF=VOLT2*CRX-VOLT1*CIX+QINF                                   MISCHK    771
       ENDIF                                                            MISCHK    772
 650  CONTINUE                                                          MISCHK    773
C                                                                       MISCHK    774
      CRO=VOLT1*GLX+BLX*VOLT2-CRO                                       MISCHK    775
      CIO=VOLT2*GLX-VOLT1*BLX-CIO                                       MISCHK    776
      PWK=VOLT1*CRO+VOLT2*CIO                                           MISCHK    777
      PQK=VOLT2*CRO-VOLT1*CIO                                           MISCHK    778
      PWDF=-PWK+PINF                                                    MISCHK    779
      PQDF=-PQK+QINF                                                    MISCHK    780
C                                                                       MISCHK    781
       ASSIGN 660 TO I1300                                              MISCHK    782
       GOTO 1300                                                        MISCHK    783
C                                                                       MISCHK    784
  660  CONTINUE                                                         MISCHK    785
C                                                                       MISCHK    786
       IF(K.LT.NLAST)GOTO 630                                           MISCHK    787
C                                                                       MISCHK    788
 665  CONTINUE                                                          MISCHK    789
C                                                                       MISCHK    790
      IF (NZLINE.EQ.0) GOTO 990                                         MISCHK    791
         ILIST=0                                                        MISCHK    792
 980     ILIST=ILIST+1                                                  MISCHK    793
         IST=NZEVP(ILIST)                                               MISCHK    794
         IND=NZEVP(ILIST+1)                                             MISCHK    795
         KITEM=0                                                        MISCHK    796
         PDSUM=0.0                                                      MISCHK    797
         QDSUM=0.0                                                      MISCHK    798
C==                                                                     MISCHK    799
  670    K=NZEVB(IST)                                                   MISCHK    800
         IF (K.LT.IPNODX.AND.IPNODE.NE.0)THEN                           MISCHK    801
            KSET=1                                                      MISCHK    802
         ELSEIF (K.LT.ICNODX.AND.ICNODE.NE.0)THEN                       MISCHK    803
            KSET=2                                                      MISCHK    804
         ELSEIF (K.LT.IMNODX.AND.IMNODE.NE.0)THEN                       MISCHK    805
            KSET=3                                                      MISCHK    806
         ELSEIF (K.LT.ITNODX.AND.ITNODE.NE.0)THEN                       MISCHK    807
            KSET=4                                                      MISCHK    808
         ELSEIF (K.LT.ISVNOX.AND.ISVNOE.NE.0)THEN                       MISCHK    809
            KSET=5                                                      MISCHK    810
         ELSEIF (K.LT.ITCNOX.AND.ITCNOE.NE.0)THEN                       MISCHK    811
            KSET=6                                                      MISCHK    812
         ELSEIF (K.LT.IRANOX.AND.IRANOE.NE.0)THEN                       MISCHK    813
            KSET=7                                                      MISCHK    814
         ELSEIF (K.LT.ITPNOX.AND.ITPNOE.NE.0)THEN                       MISCHK    815
            KSET=8                                                      MISCHK    816
         ELSEIF (K.LT.IDBNOX.AND.IDBNOE.NE.0)THEN                       MISCHK    817
            KSET=9                                                      MISCHK    818
         ELSEIF (K.LT.IDCNOX.AND.IDCNOE.NE.0)THEN                       MISCHK    819
            KSET=10                                                     MISCHK    820
         ELSEIF (K.LT.ILNODX.AND.ILNODE.NE.0)THEN                       MISCHK    821
            KSET=11                                                     MISCHK    822
         ELSEIF (K.LT.IKPNOX.AND.IKPNOD.NE.0)THEN                       MISCHK    823
            KSET=11                                                     MISCHK    824
         ELSEIF (K.GT.IKPNOX .AND. K.LE.NLAST )THEN                     MISCHK    825
            KSET=12                                                     MISCHK    826
         ENDIF                                                          MISCHK    827
C                                                                       MISCHK    828
         IF(KSET.EQ.0)GOTO 800                                          MISCHK    829
C                                                                       MISCHK    830
C          KSET= 1   2   3   4   5   6   7   8   9  10  11  12          MISCHK    831
         GOTO (680,720,755,780,800,815,830,845,860,875,885,950),KSET    MISCHK    832
C==                                                                     MISCHK    833
C                                                                       MISCHK    834
C  CHECKING THE SUPERNODE CONNECTED BY Z-I-L                            MISCHK    835
C                                                                       MISCHK    836
C                                                                       MISCHK    837
C             DETAIL GENERATOR BUS                                      MISCHK    838
  680    CONTINUE                                                       MISCHK    839
         CRBUS=0.0                                                      MISCHK    840
         CIBUS=0.0                                                      MISCHK    841
         CDLK=0.0                                                       MISCHK    842
         CQLK=0.0                                                       MISCHK    843
         BMWK=0.0                                                       MISCHK    844
         BMXK=0.0                                                       MISCHK    845
         NGCTF=NTHG(K+1)-NTHG(K)                                        MISCHK    846
         NTHGI=NTHG(K)-1                                                MISCHK    847
         NLF=NOLD(K)                                                    MISCHK    848
         DO 685 J=1,NGCTF                                               MISCHK    849
         NTHGI=NTHGI+1                                                  MISCHK    850
         CRBUS=CRBUS+CDG(1,NTHGI)                                       MISCHK    851
  685    CIBUS=CIBUS+CDG(2,NTHGI)                                       MISCHK    852
         VOLT1=REAL(VOLT(K))                                            MISCHK    853
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    854
         PDGK=VOLT1*CRBUS+VOLT2*CIBUS                                   MISCHK    855
         PQGK=VOLT2*CRBUS-VOLT1*CIBUS                                   MISCHK    856
C                                                                       MISCHK    857
         ASSIGN 686 TO I1700                                            MISCHK    858
         GO TO 1700                                                     MISCHK    859
 686     CONTINUE                                                       MISCHK    860
C                                                                       MISCHK    861
         PDGK=PDGK+PINF                                                 MISCHK    862
         PQGK=PQGK+QINF                                                 MISCHK    863
C                                                                       MISCHK    864
         ASSIGN 690 TO I1000                                            MISCHK    865
         ITFLAG=1                                                       MISCHK    866
         GOTO 1000                                                      MISCHK    867
 690     CONTINUE                                                       MISCHK    868
C                                                                       MISCHK    869
         IMACH=NTHM(2,K)                                                MISCHK    870
         IF(IMACH.EQ.0)GOTO 700                                         MISCHK    871
 695     CONTINUE                                                       MISCHK    872
         IF(NMOLD(IMACH).GT.0)THEN                                      MISCHK    873
         BMWK=BMWK-PDM(1,IMACH)                                         MISCHK    874
         BMXK=BMXK-PDM(2,IMACH)                                         MISCHK    875
         ENDIF                                                          MISCHK    876
         IMACH=NEXTIM(IMACH)                                            MISCHK    877
         IF(IMACH.NE.0)GOTO 695                                         MISCHK    878
 700     CONTINUE                                                       MISCHK    879
C                                                                       MISCHK    880
         ASSIGN 710 TO I2000                                            MISCHK    881
         GOTO 2000                                                      MISCHK    882
  710    CONTINUE                                                       MISCHK    883
C                                                                       MISCHK    884
         NTHSRK=NTHSR(3,K)                                              MISCHK    885
         IF(NTHSRK.NE.0)BLX=BLX+BSVCT(NTHSRK)                           MISCHK    886
C                                                                       MISCHK    887
       ASSIGN 715 TO I1400                                              MISCHK    888
       GOTO 1400                                                        MISCHK    889
 715   CONTINUE                                                         MISCHK    890
C                                                                       MISCHK    891
            PDSUM=PDSUM+PWDF                                            MISCHK    892
            QDSUM=QDSUM+PQDF                                            MISCHK    893
            KITEM=KITEM+1                                               MISCHK    894
            KBUF(KITEM)=BLANK                                           MISCHK    895
            KSBUF(KITEM)=BLANK(1:80)                                    MISCHK    896
            I3=K*3                                                      MISCHK    897
            WRITE(KBUF(KITEM),6500) NLF,INAME(I3-2),INAME(I3-1)         MISCHK    898
     +      ,INAME(I3),K,CRBUS,CIBUS,PDGK,PQGK,CDLK,CQLK,-BMWK,-BMXK    MISCHK    899
     +      ,VOLT(K)                                                    MISCHK    900
            WRITE(KSBUF(KITEM),6501) NLF,INAME(I3-2),INAME(I3-1)        MISCHK    901
     +      ,INAME(I3),K,VOLT(K)                                        MISCHK    902
       GOTO 970                                                         MISCHK    903
C                                                                       MISCHK    904
C  CHECK CONSTANT FLUX GENERATOR BUS                                    MISCHK    905
C                                                                       MISCHK    906
  720    CONTINUE                                                       MISCHK    907
         NTHGI=NT+K-IPNODE                                              MISCHK    908
         NLF=NOLD(K)                                                    MISCHK    909
         CRBUS=CDG(1,NTHGI)                                             MISCHK    910
         CIBUS=CDG(2,NTHGI)                                             MISCHK    911
         CDLK=0.0                                                       MISCHK    912
         CQLK=0.0                                                       MISCHK    913
         BMWK=0.0                                                       MISCHK    914
         BMXK=0.0                                                       MISCHK    915
         VOLT1=REAL(VOLT(K))                                            MISCHK    916
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    917
         PDGK=VOLT1*CRBUS+VOLT2*CIBUS                                   MISCHK    918
         PQGK=VOLT2*CRBUS-VOLT1*CIBUS                                   MISCHK    919
C                                                                       MISCHK    920
         ASSIGN 724 TO I1700                                            MISCHK    921
         GO TO 1700                                                     MISCHK    922
 724     CONTINUE                                                       MISCHK    923
C                                                                       MISCHK    924
         PDGK=PDGK+PINF                                                 MISCHK    925
         PQGK=PQGK+QINF                                                 MISCHK    926
C                                                                       MISCHK    927
         ASSIGN 725 TO I1000                                            MISCHK    928
         ITFLAG=1                                                       MISCHK    929
         GOTO 1000                                                      MISCHK    930
 725     CONTINUE                                                       MISCHK    931
C                                                                       MISCHK    932
         IMACH=NTHM(2,K)                                                MISCHK    933
         IF(IMACH.EQ.0)GOTO 735                                         MISCHK    934
 730     CONTINUE                                                       MISCHK    935
         IF(NMOLD(IMACH).GT.0)THEN                                      MISCHK    936
         BMWK=BMWK-PDM(1,IMACH)                                         MISCHK    937
         BMXK=BMXK-PDM(2,IMACH)                                         MISCHK    938
         ENDIF                                                          MISCHK    939
         IMACH=NEXTIM(IMACH)                                            MISCHK    940
         IF(IMACH.NE.0)GOTO 730                                         MISCHK    941
 735     CONTINUE                                                       MISCHK    942
C                                                                       MISCHK    943
         ASSIGN 740 TO I2000                                            MISCHK    944
         GOTO 2000                                                      MISCHK    945
 740     CONTINUE                                                       MISCHK    946
C                                                                       MISCHK    947
         NTHSRK=NTHSR(3,K)                                              MISCHK    948
         IF(NTHSRK.EQ.0)GOTO 745                                        MISCHK    949
         BLX=BLX+BSVCT(NTHSRK)                                          MISCHK    950
  745    CONTINUE                                                       MISCHK    951
C                                                                       MISCHK    952
         ASSIGN 750 TO I1400                                            MISCHK    953
         GOTO 1400                                                      MISCHK    954
  750    CONTINUE                                                       MISCHK    955
C                                                                       MISCHK    956
            PDSUM=PDSUM+PWDF                                            MISCHK    957
            QDSUM=QDSUM+PQDF                                            MISCHK    958
            KITEM=KITEM+1                                               MISCHK    959
            KBUF(KITEM)=BLANK                                           MISCHK    960
            KSBUF(KITEM)=BLANK(1:80)                                    MISCHK    961
            I3=K*3                                                      MISCHK    962
            WRITE(KBUF(KITEM),6500) NLF,INAME(I3-2),INAME(I3-1)         MISCHK    963
     +      ,INAME(I3),K,CRBUS,CIBUS,PDGK,PQGK,CDLK,CQLK,-BMWK,-BMXK    MISCHK    964
     +      ,VOLT(K)                                                    MISCHK    965
            WRITE(KSBUF(KITEM),6501) NLF,INAME(I3-2),INAME(I3-1)        MISCHK    966
     +      ,INAME(I3),K,VOLT(K)                                        MISCHK    967
       GOTO 970                                                         MISCHK    968
C                                                                       MISCHK    969
C  CHECK MOTOR LOAD BUS                                                 MISCHK    970
C                                                                       MISCHK    971
  755    CONTINUE                                                       MISCHK    972
         NLF=NOLD(K)                                                    MISCHK    973
         NTHLK=NTHM(2,K)                                                MISCHK    974
         BMWK=0.0                                                       MISCHK    975
         BMXK=0.0                                                       MISCHK    976
         VOLT1=REAL(VOLT(K))                                            MISCHK    977
         VOLT2=AIMAG(VOLT(K))                                           MISCHK    978
C                                                                       MISCHK    979
         ASSIGN 756 TO I1700                                            MISCHK    980
         GO TO 1700                                                     MISCHK    981
 756     CONTINUE                                                       MISCHK    982
C                                                                       MISCHK    983
         BMWK=BMWK+PINF                                                 MISCHK    984
         BMXK=BMXK+QINF                                                 MISCHK    985
C                                                                       MISCHK    986
         ASSIGN 760 TO I1000                                            MISCHK    987
         ITFLAG=1                                                       MISCHK    988
         GOTO 1000                                                      MISCHK    989
 760     CONTINUE                                                       MISCHK    990
C                                                                       MISCHK    991
         IMACH=NTHM(2,K)                                                MISCHK    992
         IF(IMACH.EQ.0)GOTO 770                                         MISCHK    993
 765     CONTINUE                                                       MISCHK    994
         IF(NMOLD(IMACH).GT.0)THEN                                      MISCHK    995
         BMWK=BMWK-PDM(1,IMACH)                                         MISCHK    996
         BMXK=BMXK-PDM(2,IMACH)                                         MISCHK    997
         ENDIF                                                          MISCHK    998
         IMACH=NEXTIM(IMACH)                                            MISCHK    999
         IF(IMACH.NE.0)GOTO 765                                         MISCHK   1000
 770     CONTINUE                                                       MISCHK   1001
C                                                                       MISCHK   1002
         ASSIGN 775 TO I2000                                            MISCHK   1003
         GOTO 2000                                                      MISCHK   1004
  775    CONTINUE                                                       MISCHK   1005
C                                                                       MISCHK   1006
         NTHSRK=NTHSR(3,K)                                              MISCHK   1007
         IF(NTHSRK.NE.0)BLX=BLX+BSVCT(NTHSRK)                           MISCHK   1008
C                                                                       MISCHK   1009
         GOTO 1500                                                      MISCHK   1010
C                                                                       MISCHK   1011
C                                                                       MISCHK   1012
C  CHECK THERMAL LOAD BUS                                               MISCHK   1013
C                                                                       MISCHK   1014
  780    CONTINUE                                                       MISCHK   1015
         DO 782 I=1,NTSCL                                               MISCHK   1016
          JTSC=JTCDAT(I)                                                MISCHK   1017
          IF(IDDAT(JTSC+1).EQ.K)GOTO 784                                MISCHK   1018
  782    CONTINUE                                                       MISCHK   1019
         GOTO 790                                                       MISCHK   1020
  784    NLF=NOLD(K)                                                    MISCHK   1021
         BMWK=0.0                                                       MISCHK   1022
         BMXK=0.0                                                       MISCHK   1023
         VOLT1=REAL(VOLT(K))                                            MISCHK   1024
         VOLT2=AIMAG(VOLT(K))                                           MISCHK   1025
         VMG2=VOLT1*VOLT1+VOLT2*VOLT2                                   MISCHK   1026
         BMWK=BMWK-DDAT(JTSC+10)*VMG2                                   MISCHK   1027
C                                                                       MISCHK   1028
         ASSIGN 783 TO I1700                                            MISCHK   1029
         GO TO 1700                                                     MISCHK   1030
 783     CONTINUE                                                       MISCHK   1031
C                                                                       MISCHK   1032
         BMWK=BMWK+PINF                                                 MISCHK   1033
         BMXK=BMXK+QINF                                                 MISCHK   1034
C                                                                       MISCHK   1035
         ASSIGN 785 TO I1000                                            MISCHK   1036
         ITFLAG=2                                                       MISCHK   1037
         GOTO 1000                                                      MISCHK   1038
 785     CONTINUE                                                       MISCHK   1039
C                                                                       MISCHK   1040
         ASSIGN 790 TO I2000                                            MISCHK   1041
         GOTO 2000                                                      MISCHK   1042
  790    CONTINUE                                                       MISCHK   1043
C                                                                       MISCHK   1044
         GOTO 1500                                                      MISCHK   1045
C                                                                       MISCHK   1046
C  CHECK SVC BUS                                                        MISCHK   1047
C                                                                       MISCHK   1048
  800    CONTINUE                                                       MISCHK   1049
         NLF=NOLD(K)                                                    MISCHK   1050
         BMWK=0.0                                                       MISCHK   1051
         BMXK=0.0                                                       MISCHK   1052
         VOLT1=REAL(VOLT(K))                                            MISCHK   1053
         VOLT2=AIMAG(VOLT(K))                                           MISCHK   1054
C                                                                       MISCHK   1055
         ASSIGN 804 TO I1700                                            MISCHK   1056
         GO TO 1700                                                     MISCHK   1057
 804     CONTINUE                                                       MISCHK   1058
C                                                                       MISCHK   1059
         BMWK=BMWK+PINF                                                 MISCHK   1060
         BMXK=BMXK+QINF                                                 MISCHK   1061
C                                                                       MISCHK   1062
         ASSIGN 805 TO I1000                                            MISCHK   1063
         ITFLAG=1                                                       MISCHK   1064
         GOTO 1000                                                      MISCHK   1065
 805     CONTINUE                                                       MISCHK   1066
C                                                                       MISCHK   1067
         ASSIGN 810 TO I2000                                            MISCHK   1068
         GOTO 2000                                                      MISCHK   1069
  810    CONTINUE                                                       MISCHK   1070
C                                                                       MISCHK   1071
         NTHSRK=NTHSR(3,K)                                              MISCHK   1072
         IF(NTHSRK.NE.0)BLX=BLX+BSVCT(NTHSRK)                           MISCHK   1073
C                                                                       MISCHK   1074
         GOTO 1500                                                      MISCHK   1075
C                                                                       MISCHK   1076
C  CHECK ULTC BUS                                                       MISCHK   1077
C                                                                       MISCHK   1078
  815    CONTINUE                                                       MISCHK   1079
         NLF=NOLD(K)                                                    MISCHK   1080
         BMWK=0.0                                                       MISCHK   1081
         BMXK=0.0                                                       MISCHK   1082
         VOLT1=REAL(VOLT(K))                                            MISCHK   1083
         VOLT2=AIMAG(VOLT(K))                                           MISCHK   1084
C                                                                       MISCHK   1085
C                                                                       MISCHK   1086
         ASSIGN 818 TO I1700                                            MISCHK   1087
         GO TO 1700                                                     MISCHK   1088
 818     CONTINUE                                                       MISCHK   1089
C                                                                       MISCHK   1090
         BMWK=BMWK+PINF                                                 MISCHK   1091
         BMXK=BMXK+QINF                                                 MISCHK   1092
C                                                                       MISCHK   1093
         ASSIGN 820 TO I1000                                            MISCHK   1094
         ITFLAG=1                                                       MISCHK   1095
         GOTO 1000                                                      MISCHK   1096
 820     CONTINUE                                                       MISCHK   1097
C                                                                       MISCHK   1098
         ASSIGN 825 TO I2000                                            MISCHK   1099
         GOTO 2000                                                      MISCHK   1100
  825    CONTINUE                                                       MISCHK   1101
C                                                                       MISCHK   1102
         GOTO 1500                                                      MISCHK   1103
C                                                                       MISCHK   1104
C                                                                       MISCHK   1105
C  CHECK RANI BUSES                                                     MISCHK   1106
C                                                                       MISCHK   1107
  830    CONTINUE                                                       MISCHK   1108
         NLF=NOLD(K)                                                    MISCHK   1109
         BMWK=0.0                                                       MISCHK   1110
         BMXK=0.0                                                       MISCHK   1111
         VOLT1=REAL(VOLT(K))                                            MISCHK   1112
         VOLT2=AIMAG(VOLT(K))                                           MISCHK   1113
C                                                                       MISCHK   1114
         ASSIGN 834 TO I1700                                            MISCHK   1115
         GO TO 1700                                                     MISCHK   1116
 834     CONTINUE                                                       MISCHK   1117
C                                                                       MISCHK   1118
         BMWK=BMWK+PINF                                                 MISCHK   1119
         BMXK=BMXK+QINF                                                 MISCHK   1120
C                                                                       MISCHK   1121
         ASSIGN 835 TO I1000                                            MISCHK   1122
         ITFLAG=1                                                       MISCHK   1123
         GOTO 1000                                                      MISCHK   1124
 835     CONTINUE                                                       MISCHK   1125
C                                                                       MISCHK   1126
         ASSIGN 840 TO I2000                                            MISCHK   1127
         GOTO 2000                                                      MISCHK   1128
  840    CONTINUE                                                       MISCHK   1129
C                                                                       MISCHK   1130
         NTHSRK=NTHSR(3,K)                                              MISCHK   1131
         IF(NTHSRK.NE.0)BLX=BLX+BSVCT(NTHSRK)                           MISCHK   1132
C                                                                       MISCHK   1133
         GOTO 1500                                                      MISCHK   1134
C                                                                       MISCHK   1135
C                                                                       MISCHK   1136
C     CKECK STP BUSES                                                   MISCHK   1137
C                                                                       MISCHK   1138
  845    CONTINUE                                                       MISCHK   1139
         NLF=NOLD(K)                                                    MISCHK   1140
         BMWK=0.0                                                       MISCHK   1141
         BMXK=0.0                                                       MISCHK   1142
         VOLT1=REAL(VOLT(K))                                            MISCHK   1143
         VOLT2=AIMAG(VOLT(K))                                           MISCHK   1144
C                                                                       MISCHK   1145
         ASSIGN 846 TO I1700                                            MISCHK   1146
         GO TO 1700                                                     MISCHK   1147
 846     CONTINUE                                                       MISCHK   1148
C                                                                       MISCHK   1149
         BMWK=BMWK+PINF                                                 MISCHK   1150
         BMXK=BMXK+QINF                                                 MISCHK   1151
C                                                                       MISCHK   1152
         ASSIGN 850 TO I1000                                            MISCHK   1153
         ITFLAG=1                                                       MISCHK   1154
         GOTO 1000                                                      MISCHK   1155
 850     CONTINUE                                                       MISCHK   1156
C                                                                       MISCHK   1157
         ASSIGN 855 TO I2000                                            MISCHK   1158
         GOTO 2000                                                      MISCHK   1159
  855    CONTINUE                                                       MISCHK   1160
C                                                                       MISCHK   1161
         NTHSRK=NTHSR(3,K)                                              MISCHK   1162
         IF(NTHSRK.NE.0)BLX=BLX+BSVCT(NTHSRK)                           MISCHK   1163
C                                                                       MISCHK   1164
         GOTO 1500                                                      MISCHK   1165
C                                                                       MISCHK   1166
C                                                                       MISCHK   1167
C     CKECK SDB BUSES                                                   MISCHK   1168
C                                                                       MISCHK   1169
  860    CONTINUE                                                       MISCHK   1170
         NLF=NOLD(K)                                                    MISCHK   1171
         BMWK=0.0                                                       MISCHK   1172
         BMXK=0.0                                                       MISCHK   1173
         VOLT1=REAL(VOLT(K))                                            MISCHK   1174
         VOLT2=AIMAG(VOLT(K))                                           MISCHK   1175
C                                                                       MISCHK   1176
         ASSIGN 864 TO I1700                                            MISCHK   1177
         GO TO 1700                                                     MISCHK   1178
 864     CONTINUE                                                       MISCHK   1179
C                                                                       MISCHK   1180
         BMWK=BMWK+PINF                                                 MISCHK   1181
         BMXK=BMXK+QINF                                                 MISCHK   1182
C                                                                       MISCHK   1183
         ASSIGN 865 TO I1000                                            MISCHK   1184
         ITFLAG=1                                                       MISCHK   1185
         GOTO 1000                                                      MISCHK   1186
  865    CONTINUE                                                       MISCHK   1187
C                                                                       MISCHK   1188
         ASSIGN 870 TO I2000                                            MISCHK   1189
         GOTO 2000                                                      MISCHK   1190
  870    CONTINUE                                                       MISCHK   1191
C                                                                       MISCHK   1192
         NTHSRK=NTHSR(3,K)                                              MISCHK   1193
         IF(NTHSRK.NE.0)BLX=BLX+BSVCT(NTHSRK)                           MISCHK   1194
C                                                                       MISCHK   1195
         GOTO 1500                                                      MISCHK   1196
C                                                                       MISCHK   1197
C                                                                       MISCHK   1198
C  CHECK THE CONVERTER BUS                                              MISCHK   1199
C                                                                       MISCHK   1200
 875    CONTINUE                                                        MISCHK   1201
         LM=K-IDBNOX+1                                                  MISCHK   1202
         NLF=NOLD(K)                                                    MISCHK   1203
         VOLT1=REAL(VOLT(K))                                            MISCHK   1204
         VOLT2=AIMAG(VOLT(K))                                           MISCHK   1205
C                                                                       MISCHK   1206
         ASSIGN 876 TO I1700                                            MISCHK   1207
         GOTO 1700                                                      MISCHK   1208
  876    CONTINUE                                                       MISCHK   1209
C                                                                       MISCHK   1210
         ASSIGN 880 TO I2000                                            MISCHK   1211
         GOTO 2000                                                      MISCHK   1212
  880    CONTINUE                                                       MISCHK   1213
C                                                                       MISCHK   1214
      IF(LDEB1)THEN                                                     MISCHK   1215
         I3=K*3                                                         MISCHK   1216
         WRITE(IUD6,5300) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)     MISCHK   1217
     &   ,GLX,BLX,VOLT(K)                                               MISCHK   1218
      ENDIF                                                             MISCHK   1219
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    MISCHK   1220
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    MISCHK   1221
         PWK=VOLT1*CRO+VOLT2*CIO                                        MISCHK   1222
         PQK=VOLT2*CRO-VOLT1*CIO                                        MISCHK   1223
         PA=0.0                                                         MISCHK   1224
         QA=0.0                                                         MISCHK   1225
         DO 881 II1=1,ICDC                                              MISCHK   1226
         JPOSN=IDC(II1)                                                 MISCHK   1227
         IF(JPOSN.EQ.0) GO TO 881                                       MISCHK   1228
         LM1 = IDCBNU(JPOSN)                                            MISCHK   1229
         IF(LM1.EQ.0) GO TO 881                                         MISCHK   1230
         LM2 = IDCBN2(JPOSN)                                            MISCHK   1231
         IF(LM1.EQ.LM) THEN                                             MISCHK   1232
            IF(ICDC.LE.LCDC) THEN                                       MISCHK   1233
               PA=PA+PAHVDC(JPOSN)/PABASE                               MISCHK   1234
               QA=QA+QAHVDC(JPOSN)/PABASE                               MISCHK   1235
            ELSE                                                        MISCHK   1236
               VR1=DCEA(LM1)                                            MISCHK   1237
               VI1=DCEB(LM1)                                            MISCHK   1238
               IF(LM2.EQ.0) THEN                                        MISCHK   1239
                  VR2=0.0                                               MISCHK   1240
                  VI2=0.0                                               MISCHK   1241
               ELSE                                                     MISCHK   1242
                  VR2=DCEA(LM2)                                         MISCHK   1243
                  VI2=DCEB(LM2)                                         MISCHK   1244
               ENDIF                                                    MISCHK   1245
               VREAL=VR1-VR2                                            MISCHK   1246
               VIMAG=VI1-VI2                                            MISCHK   1247
               VM2=VREAL*VREAL+VIMAG*VIMAG                              MISCHK   1248
               PA=PA+(PAHVDC(JPOSN)*(1.0+(VR2*VREAL+VI2*VIMAG)/VM2)+    MISCHK   1249
     &            (QAHVDC(JPOSN)+Q2HVDC(JPOSN))*                        MISCHK   1250
     &            (VR2*VIMAG-VI2*VREAL)/VM2)/PABASE                     MISCHK   1251
               QA=QA+((QAHVDC(JPOSN)+Q2HVDC(JPOSN))*                    MISCHK   1252
     &            (1.0+(VR2*VREAL+VI2*VIMAG)/VM2)-                      MISCHK   1253
     &            PAHVDC(JPOSN)*(VR2*VIMAG-VI2*VREAL)/VM2)/PABASE       MISCHK   1254
            ENDIF                                                       MISCHK   1255
         ENDIF                                                          MISCHK   1256
         IF(LM2.EQ.0) GO TO 881                                         MISCHK   1257
         IF(LM2.EQ.LM) THEN                                             MISCHK   1258
            VR1=DCEA(LM1)                                               MISCHK   1259
            VI1=DCEB(LM1)                                               MISCHK   1260
            VR2=DCEA(LM2)                                               MISCHK   1261
            VI2=DCEB(LM2)                                               MISCHK   1262
            VREAL=VR1-VR2                                               MISCHK   1263
            VIMAG=VI1-VI2                                               MISCHK   1264
            VM2=VREAL*VREAL+VIMAG*VIMAG                                 MISCHK   1265
            PA=PA-(PAHVDC(JPOSN)*(VR2*VREAL+VI2*VIMAG)+                 MISCHK   1266
     &         (QAHVDC(JPOSN)+Q2HVDC(JPOSN))*                           MISCHK   1267
     &         (VR2*VIMAG-VI2*VREAL))/VM2/PABASE                        MISCHK   1268
            QA=QA-((QAHVDC(JPOSN)+Q2HVDC(JPOSN))*                       MISCHK   1269
     &         (VR2*VREAL+VI2*VIMAG)-PAHVDC(JPOSN)*                     MISCHK   1270
     &         (VR2*VIMAG-VI2*VREAL))/VM2/PABASE                        MISCHK   1271
         ENDIF                                                          MISCHK   1272
 881     CONTINUE                                                       MISCHK   1273
         PWDF=-PWK+PA+PINF                                              MISCHK   1274
         PQDF=-PQK+QA+QINF                                              MISCHK   1275
         IF(LDEB)WRITE(IUD6,6000) PA,QA                                 MISCHK   1276
C                                                                       MISCHK   1277
         IF(LDEB1)THEN                                                  MISCHK   1278
            I3=K*3                                                      MISCHK   1279
            IF(IPLINE.GE.60)THEN                                        MISCHK   1280
               IPAGE=IPAGE+1                                            MISCHK   1281
               WRITE(IU16,6100) IPAGE                                   MISCHK   1282
               WRITE(IU16,5100)                                         MISCHK   1283
               IPLINE=10                                                MISCHK   1284
            ENDIF                                                       MISCHK   1285
            IF(ABS(PWDF).GT.PTOL.OR.ABS(PQDF).GT.PTOL)THEN              MISCHK   1286
               MFLAG=.FALSE.                                            MISCHK   1287
               WRITE(IU16,5600) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)   MISCHK   1288
     &                         ,K,PWDF,PQDF,VOLT(K)                     MISCHK   1289
               WRITE(LOUT,5601) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)   MISCHK   1290
     &                         ,K,PWDF,PQDF,VOLT(K)                     MISCHK   1291
            ELSE                                                        MISCHK   1292
               WRITE(IU16,5700) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)   MISCHK   1293
     &                         ,K,PWDF,PQDF,VOLT(K)                     MISCHK   1294
               WRITE(LOUT,5701) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)   MISCHK   1295
     &                         ,K,PWDF,PQDF,VOLT(K)                     MISCHK   1296
            ENDIF                                                       MISCHK   1297
            IPLINE=IPLINE+1                                             MISCHK   1298
         ENDIF                                                          MISCHK   1299
            PDSUM=PDSUM+PWDF                                            MISCHK   1300
            QDSUM=QDSUM+PQDF                                            MISCHK   1301
            KITEM=KITEM+1                                               MISCHK   1302
            KBUF(KITEM)=BLANK                                           MISCHK   1303
            KSBUF(KITEM)=BLANK(1:80)                                    MISCHK   1304
            I3=K*3                                                      MISCHK   1305
            WRITE(KBUF(KITEM),6600) NLF,INAME(I3-2),INAME(I3-1),        MISCHK   1306
     +      INAME(I3),K,VOLT(K)                                         MISCHK   1307
            WRITE(KSBUF(KITEM),6501) NLF,INAME(I3-2),INAME(I3-1)        MISCHK   1308
     +      ,INAME(I3),K,VOLT(K)                                        MISCHK   1309
       GOTO 970                                                         MISCHK   1310
C                                                                       MISCHK   1311
C             CHECK NON-LINEAR LOAD BUS                                 MISCHK   1312
C                                                                       MISCHK   1313
  885    CONTINUE                                                       MISCHK   1314
C                                                                       MISCHK   1315
C                                                                       MISCHK   1316
C             CHECK CONSTANT CURRENT LOAD BUS                           MISCHK   1317
C                                                                       MISCHK   1318
         ISHIFT=NTHL(1,K)-1                                             MISCHK   1319
C                                                                       MISCHK   1320
         CDLK=0.0                                                       MISCHK   1321
         CQLK=0.0                                                       MISCHK   1322
         BMWK=0.0                                                       MISCHK   1323
         BMXK=0.0                                                       MISCHK   1324
C                                                                       MISCHK   1325
         DO 890 I=1,NLOD                                                MISCHK   1326
          IF(NLDOLD(I).EQ.K)GOTO 895                                    MISCHK   1327
 890     CONTINUE                                                       MISCHK   1328
C                                                                       MISCHK   1329
 895     NCOMP=NLCOMP(1,I)                                              MISCHK   1330
C                                                                       MISCHK   1331
         VOLT1=REAL(VOLT(K))                                            MISCHK   1332
         VOLT2=AIMAG(VOLT(K))                                           MISCHK   1333
         VMG2=VOLT1*VOLT1+VOLT2*VOLT2                                   MISCHK   1334
         VMG=SQRT(VMG2)                                                 MISCHK   1335
C                                                                       MISCHK   1336
         II=0                                                           MISCHK   1337
 900     II=II+1                                                        MISCHK   1338
         IF(II.GT.NCOMP)GOTO 925                                        MISCHK   1339
         ISHIFT=ISHIFT+1                                                MISCHK   1340
         NTYPE=NLTYPE(ISHIFT)                                           MISCHK   1341
         GOTO (905,910,915,920)NTYPE                                    MISCHK   1342
C             CHECK CONSTANT CURRENT LOAD BUS                           MISCHK   1343
C                                                                       MISCHK   1344
 905     CONTINUE                                                       MISCHK   1345
C                                                                       MISCHK   1346
         JNL=JDNLL(ISHIFT)                                              MISCHK   1347
C                                                                       MISCHK   1348
         BMWK=BMWK-DDAT(JNL+2)*VMG                                      MISCHK   1349
         BMXK=BMXK-DDAT(JNL+3)*VMG                                      MISCHK   1350
C                                                                       MISCHK   1351
C   CALCULATE THE CURRENT                                               MISCHK   1352
C                                                                       MISCHK   1353
         CDLK= CDLK+ ( DDAT(JNL+2)*VOLT1+DDAT(JNL+3)*VOLT2 )/VMG        MISCHK   1354
         CQLK= CQLK+ ( DDAT(JNL+2)*VOLT2-DDAT(JNL+3)*VOLT1 )/VMG        MISCHK   1355
C                                                                       MISCHK   1356
         GOTO 900                                                       MISCHK   1357
C                                                                       MISCHK   1358
C             CHECK CONTANT MVA LOAD BUS                                MISCHK   1359
C                                                                       MISCHK   1360
 910     CONTINUE                                                       MISCHK   1361
C                                                                       MISCHK   1362
         JNL=JDNLL(ISHIFT)                                              MISCHK   1363
C                                                                       MISCHK   1364
         BMWK=BMWK-DDAT(JNL+2)                                          MISCHK   1365
         BMXK=BMXK-DDAT(JNL+3)                                          MISCHK   1366
C                                                                       MISCHK   1367
C   CALCULATE THE CURRENT                                               MISCHK   1368
C                                                                       MISCHK   1369
         CDLK= CDLK+( DDAT(JNL+2)*VOLT1+DDAT(JNL+3)*VOLT2 )/VMG2        MISCHK   1370
         CQLK= CQLK+( DDAT(JNL+2)*VOLT2-DDAT(JNL+3)*VOLT1 )/VMG2        MISCHK   1371
C                                                                       MISCHK   1372
         GOTO 900                                                       MISCHK   1373
C                                                                       MISCHK   1374
 915     CONTINUE                                                       MISCHK   1375
C                                                                       MISCHK   1376
         JNL=JDNLL(ISHIFT)                                              MISCHK   1377
                                                                        MISCHK   1378
         CDLK=DDAT(JNL+4)+CDLK                                          MISCHK   1379
         CQLK=DDAT(JNL+5)+CQLK                                          MISCHK   1380
C                                                                       MISCHK   1381
         CDLKX=DDAT(JNL+4)                                              MISCHK   1382
         CQLKX=DDAT(JNL+5)                                              MISCHK   1383
         BMWK=BMWK+VOLT1*CDLKX+VOLT2*CQLKX                              MISCHK   1384
         BMXK=BMXK+VOLT2*CDLKX-VOLT1*CQLKX                              MISCHK   1385
         GOTO 900                                                       MISCHK   1386
C                                                                       MISCHK   1387
C                                                                       MISCHK   1388
C  COMPOSITE LOAD                                                       MISCHK   1389
C                                                                       MISCHK   1390
 920     CONTINUE                                                       MISCHK   1391
C                                                                       MISCHK   1392
         JNL=JDNLL(ISHIFT)                                              MISCHK   1393
C                                                                       MISCHK   1394
         PBAR=DDAT(JNL+4)*DDAT(JNL+6)                                   MISCHK   1395
         QBAR=DDAT(JNL+5)*DDAT(JNL+6)                                   MISCHK   1396
         SMAG=PBAR*PBAR+QBAR*QBAR                                       MISCHK   1397
         CMAG=SMAG/DDAT(JNL+6)                                          MISCHK   1398
         BMWK=BMWK+PBAR*DDAT(JNL+1)                                     MISCHK   1399
         BMXK=BMXK+QBAR*DDAT(JNL+2)                                     MISCHK   1400
C                                                                       MISCHK   1401
         GOTO 900                                                       MISCHK   1402
C                                                                       MISCHK   1403
 925     CONTINUE                                                       MISCHK   1404
C                                                                       MISCHK   1405
         ASSIGN 926 TO I1700                                            MISCHK   1406
         GO TO 1700                                                     MISCHK   1407
 926     CONTINUE                                                       MISCHK   1408
C                                                                       MISCHK   1409
         BMWK=BMWK+PINF                                                 MISCHK   1410
         BMXK=BMXK+QINF                                                 MISCHK   1411
C                                                                       MISCHK   1412
         ASSIGN 930 TO I1000                                            MISCHK   1413
         ITFLAG=3                                                       MISCHK   1414
         GOTO 1000                                                      MISCHK   1415
 930     CONTINUE                                                       MISCHK   1416
C                                                                       MISCHK   1417
         ASSIGN 940 TO I2000                                            MISCHK   1418
         GOTO 2000                                                      MISCHK   1419
  940    CONTINUE                                                       MISCHK   1420
C                                                                       MISCHK   1421
         GOTO 1500                                                      MISCHK   1422
C                                                                       MISCHK   1423
C  CHECK THE REMAINING BUS                                              MISCHK   1424
C                                                                       MISCHK   1425
  950 CONTINUE                                                          MISCHK   1426
      NLF=NOLD(K)                                                       MISCHK   1427
      VOLT1=REAL(VOLT(K))                                               MISCHK   1428
      VOLT2=AIMAG(VOLT(K))                                              MISCHK   1429
C                                                                       MISCHK   1430
         ASSIGN 955 TO I2000                                            MISCHK   1431
         GOTO 2000                                                      MISCHK   1432
  955    CONTINUE                                                       MISCHK   1433
C                                                                       MISCHK   1434
      IF(LDEB1)THEN                                                     MISCHK   1435
         I3=K*3                                                         MISCHK   1436
         WRITE(IUD6,5300) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)     MISCHK   1437
     &   ,GLX,BLX,VOLT(K)                                               MISCHK   1438
      ENDIF                                                             MISCHK   1439
C                                                                       MISCHK   1440
C    CHECK FOR THE CURRENT DUE TO THE  INIFITE BUS                      MISCHK   1441
C                                                                       MISCHK   1442
      PINF=0.                                                           MISCHK   1443
      QINF=0.                                                           MISCHK   1444
      DO 960 II=1,KFBUS                                                 MISCHK   1445
       IF( KCINF(II).EQ.K)THEN                                          MISCHK   1446
        CRX=REAL( CINF(II) )                                            MISCHK   1447
        CIX=AIMAG( CINF(II) )                                           MISCHK   1448
        PINF=VOLT1*CRX+VOLT2*CIX+PINF                                   MISCHK   1449
        QINF=VOLT2*CRX-VOLT1*CIX+QINF                                   MISCHK   1450
       ENDIF                                                            MISCHK   1451
 960  CONTINUE                                                          MISCHK   1452
                                                                        MISCHK   1453
      CRO=VOLT1*GLX+BLX*VOLT2-CRO                                       MISCHK   1454
      CIO=VOLT2*GLX-VOLT1*BLX-CIO                                       MISCHK   1455
      PWK=VOLT1*CRO+VOLT2*CIO                                           MISCHK   1456
      PQK=VOLT2*CRO-VOLT1*CIO                                           MISCHK   1457
      PWDF=-PWK+PINF                                                    MISCHK   1458
      PQDF=-PQK+QINF                                                    MISCHK   1459
      IF(LDEB1)THEN                                                     MISCHK   1460
         I3=K*3                                                         MISCHK   1461
         IF(IPLINE.GE.60)THEN                                           MISCHK   1462
            IPAGE=IPAGE+1                                               MISCHK   1463
            WRITE(IU16,6100) IPAGE                                      MISCHK   1464
            WRITE(IU16,5100)                                            MISCHK   1465
            IPLINE=10                                                   MISCHK   1466
         ENDIF                                                          MISCHK   1467
         IF(ABS(PWDF).GT.PTOL.OR.ABS(PQDF).GT.PTOL)THEN                 MISCHK   1468
            MFLAG=.FALSE.                                               MISCHK   1469
            WRITE(IU16,5600) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)      MISCHK   1470
     &                      ,K,PWDF,PQDF,VOLT(K)                        MISCHK   1471
            WRITE(LOUT,5601) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)      MISCHK   1472
     &                      ,K,PWDF,PQDF,VOLT(K)                        MISCHK   1473
         ELSE                                                           MISCHK   1474
            WRITE(IU16,5700) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)      MISCHK   1475
     &                      ,K,PWDF,PQDF,VOLT(K)                        MISCHK   1476
            WRITE(LOUT,5701) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)      MISCHK   1477
     &                      ,K,PWDF,PQDF,VOLT(K)                        MISCHK   1478
         ENDIF                                                          MISCHK   1479
         IPLINE=IPLINE+1                                                MISCHK   1480
      ENDIF                                                             MISCHK   1481
            PDSUM=PDSUM+PWDF                                            MISCHK   1482
            QDSUM=QDSUM+PQDF                                            MISCHK   1483
            KITEM=KITEM+1                                               MISCHK   1484
            KBUF(KITEM)=BLANK                                           MISCHK   1485
            KSBUF(KITEM)=BLANK(1:80)                                    MISCHK   1486
            I3=K*3                                                      MISCHK   1487
            WRITE(KBUF(KITEM),6600) NLF,INAME(I3-2),INAME(I3-1),        MISCHK   1488
     +      INAME(I3),K,VOLT(K)                                         MISCHK   1489
            WRITE(KSBUF(KITEM),6501) NLF,INAME(I3-2),INAME(I3-1)        MISCHK   1490
     +      ,INAME(I3),K,VOLT(K)                                        MISCHK   1491
C                                                                       MISCHK   1492
  970 CONTINUE                                                          MISCHK   1493
C                                                                       MISCHK   1494
          IST=IST+1                                                     MISCHK   1495
          IF (IST.GE.IND) THEN                                          MISCHK   1496
             IF (ABS(PDSUM).GT.PTOL.OR.ABS(QDSUM).GT.PTOL)THEN          MISCHK   1497
                MFLAG=.FALSE.                                           MISCHK   1498
                IF(IPLINE.GE.60)THEN                                    MISCHK   1499
                   IPAGE=IPAGE+1                                        MISCHK   1500
                   WRITE(IU16,6100) IPAGE                               MISCHK   1501
                   WRITE(IU16,5100)                                     MISCHK   1502
                   IPLINE=10                                            MISCHK   1503
                ENDIF                                                   MISCHK   1504
                WRITE(IU16,6300) (KBUF(KB),KB=1,KITEM)                  MISCHK   1505
                WRITE(LOUT,'(A)') (KSBUF(KB),KB=1,KITEM)                MISCHK   1506
                WRITE(IU16,6400) PDSUM,QDSUM                            MISCHK   1507
                WRITE(LOUT,6401) PDSUM,QDSUM                            MISCHK   1508
                IPLINE=IPLINE+2                                         MISCHK   1509
             ENDIF                                                      MISCHK   1510
          ELSE                                                          MISCHK   1511
             GOTO 670                                                   MISCHK   1512
          ENDIF                                                         MISCHK   1513
C==                                                                     MISCHK   1514
C      ENDIF                                                            MISCHK   1515
       IF(ILIST.LT.NZEP)GOTO 980                                        MISCHK   1516
C                                                                       MISCHK   1517
  990 CONTINUE                                                          MISCHK   1518
      GOTO 3550                                                         MISCHK   1519
C                                                                       MISCHK   1520
C=================================================                      MISCHK   1521
C                                                                       MISCHK   1522
C      I1000 BLOCK                                                      MISCHK   1523
C                                                                       MISCHK   1524
 1000 CONTINUE                                                          MISCHK   1525
C                                                                       MISCHK   1526
      IF(ITFLAG.NE.3)THEN                                               MISCHK   1527
C                                                                       MISCHK   1528
C             CHECK NON-LINEAR LOAD BUS                                 MISCHK   1529
C                                                                       MISCHK   1530
        IF(NTHL(1,K).NE.0)THEN                                          MISCHK   1531
C                                                                       MISCHK   1532
C         ISHIFT=NTHL(1,K)-1                                            MISCHK   1533
C                                                                       MISCHK   1534
         ISHIFT=0                                                       MISCHK   1535
         DO 1010 I=1,NLOD                                               MISCHK   1536
          NCOMP=NLCOMP(1,I)                                             MISCHK   1537
          IF(NLDOLD(I).EQ.K)GOTO 1020                                   MISCHK   1538
          ISHIFT=ISHIFT+NCOMP                                           MISCHK   1539
 1010     CONTINUE                                                      MISCHK   1540
                                                                        MISCHK   1541
 1020    NCOMP=NLCOMP(1,I)                                              MISCHK   1542
         CDLK=0.0                                                       MISCHK   1543
         CQLK=0.0                                                       MISCHK   1544
C                                                                       MISCHK   1545
         II=0                                                           MISCHK   1546
 1030     II=II+1                                                       MISCHK   1547
         IF(II.GT.NCOMP)GOTO 1055                                       MISCHK   1548
         ISHIFT=ISHIFT+1                                                MISCHK   1549
         NTYPE=NLTYPE(ISHIFT)                                           MISCHK   1550
         GOTO (1035,1040,1045,1050)NTYPE                                MISCHK   1551
C                                                                       MISCHK   1552
C             CHECK CONSTANT CURRENT LOAD BUS                           MISCHK   1553
C                                                                       MISCHK   1554
 1035     CONTINUE                                                      MISCHK   1555
C                                                                       MISCHK   1556
         VMG=CABS(VOLT(K))                                              MISCHK   1557
         JNL=JDNLL(ISHIFT)                                              MISCHK   1558
C                                                                       MISCHK   1559
         BMWK=BMWK-DDAT(JNL+2)*VMG                                      MISCHK   1560
         BMXK=BMXK-DDAT(JNL+3)*VMG                                      MISCHK   1561
C                                                                       MISCHK   1562
C   CALCULATE THE CURRENT                                               MISCHK   1563
C                                                                       MISCHK   1564
         CDLK= CDLK+ ( DDAT(JNL+2)*VOLT1+DDAT(JNL+3)*VOLT2 )/VMG        MISCHK   1565
         CQLK= CQLK+ ( DDAT(JNL+2)*VOLT2-DDAT(JNL+3)*VOLT1 )/VMG        MISCHK   1566
C                                                                       MISCHK   1567
         GOTO 1030                                                      MISCHK   1568
C                                                                       MISCHK   1569
C             CHECK CONTANT MVA LOAD BUS                                MISCHK   1570
C                                                                       MISCHK   1571
 1040     CONTINUE                                                      MISCHK   1572
C                                                                       MISCHK   1573
         VMG=CABS(VOLT(K))                                              MISCHK   1574
         VMG2=VMG*VMG                                                   MISCHK   1575
         JNL=JDNLL(ISHIFT)                                              MISCHK   1576
C                                                                       MISCHK   1577
         BMWK=BMWK-DDAT(JNL+2)                                          MISCHK   1578
         BMXK=BMXK-DDAT(JNL+3)                                          MISCHK   1579
C                                                                       MISCHK   1580
C   CALCULATE THE CURRENT                                               MISCHK   1581
C                                                                       MISCHK   1582
         CDLK= CDLK+ ( DDAT(JNL+2)*VOLT1+DDAT(JNL+3)*VOLT2 )/VMG2       MISCHK   1583
         CQLK= CQLK+ ( DDAT(JNL+2)*VOLT2-DDAT(JNL+3)*VOLT1 )/VMG2       MISCHK   1584
C                                                                       MISCHK   1585
         GOTO 1030                                                      MISCHK   1586
C                                                                       MISCHK   1587
 1045     CONTINUE                                                      MISCHK   1588
C                                                                       MISCHK   1589
         JNL=JDNLL(ISHIFT)                                              MISCHK   1590
C                                                                       MISCHK   1591
         CDLK=CDLK+DDAT(JNL+4)                                          MISCHK   1592
         CQLK=CQLK+DDAT(JNL+5)                                          MISCHK   1593
C                                                                       MISCHK   1594
         CDLKX=DDAT(JNL+4)                                              MISCHK   1595
         CQLKX=DDAT(JNL+5)                                              MISCHK   1596
         BMWK=BMWK+VOLT1*CDLKX+VOLT2*CQLKX                              MISCHK   1597
         BMXK=BMXK+VOLT2*CDLKX-VOLT1*CQLKX                              MISCHK   1598
         GOTO 1030                                                      MISCHK   1599
C                                                                       MISCHK   1600
C  COMPOSITE LOAD                                                       MISCHK   1601
C                                                                       MISCHK   1602
 1050     CONTINUE                                                      MISCHK   1603
C                                                                       MISCHK   1604
         JNL=JDNLL(ISHIFT)                                              MISCHK   1605
C                                                                       MISCHK   1606
         PBAR=DDAT(JNL+4)*DDAT(JNL+6)                                   MISCHK   1607
         QBAR=DDAT(JNL+5)*DDAT(JNL+6)                                   MISCHK   1608
         SMAG=PBAR*PBAR+QBAR*QBAR                                       MISCHK   1609
         CMAG=SMAG/DDAT(JNL+6)                                          MISCHK   1610
         BMWK=BMWK+PBAR*DDAT(JNL+1)                                     MISCHK   1611
         BMXK=BMXK+QBAR*DDAT(JNL+2)                                     MISCHK   1612
C                                                                       MISCHK   1613
         GOTO 1030                                                      MISCHK   1614
C                                                                       MISCHK   1615
        ENDIF                                                           MISCHK   1616
C                                                                       MISCHK   1617
      ENDIF                                                             MISCHK   1618
C                                                                       MISCHK   1619
 1055  CONTINUE                                                         MISCHK   1620
C                                                                       MISCHK   1621
       IF(NTSCL.NE.0)THEN                                               MISCHK   1622
C                                                                       MISCHK   1623
        IF(ITFLAG.NE.2)THEN                                             MISCHK   1624
C                                                                       MISCHK   1625
         DO 1060 ITERM=1,NTSCL                                          MISCHK   1626
          JTSC=JTCDAT(ITERM)                                            MISCHK   1627
          IF(IDDAT(JTSC+1).EQ.K)GOTO 1070                               MISCHK   1628
 1060    CONTINUE                                                       MISCHK   1629
C                                                                       MISCHK   1630
         GOTO 1080                                                      MISCHK   1631
C                                                                       MISCHK   1632
 1070    CONTINUE                                                       MISCHK   1633
         VOLT1=REAL(VOLT(K))                                            MISCHK   1634
         VOLT2=AIMAG(VOLT(K))                                           MISCHK   1635
         VMG2=VOLT1*VOLT1+VOLT2*VOLT2                                   MISCHK   1636
         BMWK=BMWK-DDAT(JTSC+10)*VMG2                                   MISCHK   1637
C                                                                       MISCHK   1638
 1080    CONTINUE                                                       MISCHK   1639
C                                                                       MISCHK   1640
        ENDIF                                                           MISCHK   1641
C                                                                       MISCHK   1642
       ENDIF                                                            MISCHK   1643
C                                                                       MISCHK   1644
       GOTO I1000                                                       MISCHK   1645
C                                                                       MISCHK   1646
C    END THE I1000 BLOCK                                                MISCHK   1647
C                                                                       MISCHK   1648
C=======================================================                MISCHK   1649
C                                                                       MISCHK   1650
C========================================================               MISCHK   1651
C   I1100 BLOCK                                                         MISCHK   1652
C                                                                       MISCHK   1653
 1100 CONTINUE                                                          MISCHK   1654
         IF(LDEB)THEN                                                   MISCHK   1655
            I3=K*3                                                      MISCHK   1656
      WRITE(IUD6,5300) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)        MISCHK   1657
     &      ,GLX,BLX,VOLT(K)                                            MISCHK   1658
         ENDIF                                                          MISCHK   1659
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    MISCHK   1660
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    MISCHK   1661
         PWK=VOLT1*CRO+VOLT2*CIO                                        MISCHK   1662
         PQK=VOLT2*CRO-VOLT1*CIO                                        MISCHK   1663
         PWDF=PDGK-PWK+BMWK                                             MISCHK   1664
         PQDF=PQGK-PQK+BMXK                                             MISCHK   1665
         IF(LDEB)THEN                                                   MISCHK   1666
            I3=K*3                                                      MISCHK   1667
            IF(IPLINE.GE.60)THEN                                        MISCHK   1668
               IPAGE=IPAGE+1                                            MISCHK   1669
               WRITE(IU16,6100) IPAGE                                   MISCHK   1670
               WRITE(IU16,5100)                                         MISCHK   1671
               IPLINE=10                                                MISCHK   1672
            ENDIF                                                       MISCHK   1673
            IF(ABS(PWDF).GT.PTOL.OR.ABS(PQDF).GT.PTOL) THEN             MISCHK   1674
               MFLAG=.FALSE.                                            MISCHK   1675
               WRITE(IU16,5400) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1676
     *              ,CRBUS,CIBUS,PDGK,PQGK,CDLK,CQLK,-BMWK,-BMXK,PWDF   MISCHK   1677
     *              ,PQDF,VOLT(K)                                       MISCHK   1678
               WRITE(LOUT,5601) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1679
     *                         ,PWDF,PQDF,VOLT(K)                       MISCHK   1680
            ELSE                                                        MISCHK   1681
               WRITE(IU16,5500) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1682
     *              ,CRBUS,CIBUS,PDGK,PQGK,CDLK,CQLK,-BMWK,-BMXK,PWDF   MISCHK   1683
     *              ,PQDF,VOLT(K)                                       MISCHK   1684
               WRITE(LOUT,5701) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1685
     *                         ,PWDF,PQDF,VOLT(K)                       MISCHK   1686
            ENDIF                                                       MISCHK   1687
            IPLINE=IPLINE+1                                             MISCHK   1688
         ELSE                                                           MISCHK   1689
            IF(ABS(PWDF).GT.PTOL.OR.ABS(PQDF).GT.PTOL) THEN             MISCHK   1690
               MFLAG=.FALSE.                                            MISCHK   1691
               I3=K*3                                                   MISCHK   1692
               IF(IPLINE.GE.60)THEN                                     MISCHK   1693
                  IPAGE=IPAGE+1                                         MISCHK   1694
                  WRITE(IU16,6100) IPAGE                                MISCHK   1695
                  WRITE(IU16,5100)                                      MISCHK   1696
                  IPLINE=10                                             MISCHK   1697
               ENDIF                                                    MISCHK   1698
               WRITE(IU16,5400) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1699
     *              ,CRBUS,CIBUS,PDGK,PQGK,CDLK,CQLK,-BMWK,-BMXK,PWDF   MISCHK   1700
     *              ,PQDF,VOLT(K)                                       MISCHK   1701
               WRITE(LOUT,5601) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1702
     *                         ,PWDF,PQDF,VOLT(K)                       MISCHK   1703
               IPLINE=IPLINE+1                                          MISCHK   1704
C                                                                       MISCHK   1705
            ASSIGN 3000 TO I3500                                        MISCHK   1706
            GOTO 3500                                                   MISCHK   1707
 3000       CONTINUE                                                    MISCHK   1708
C                                                                       MISCHK   1709
            ENDIF                                                       MISCHK   1710
         ENDIF                                                          MISCHK   1711
         GOTO I1100                                                     MISCHK   1712
C                                   END I1100 BLOCK                     MISCHK   1713
C============================================================           MISCHK   1714
C                                                                       MISCHK   1715
C=========================== I1200 BLOCK                                MISCHK   1716
C                                                                       MISCHK   1717
 1200    CONTINUE                                                       MISCHK   1718
         IF(LDEB)THEN                                                   MISCHK   1719
            I3=K*3                                                      MISCHK   1720
      WRITE(IUD6,5300) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)        MISCHK   1721
     &      ,GLX,BLX,VOLT(K)                                            MISCHK   1722
         ENDIF                                                          MISCHK   1723
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    MISCHK   1724
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    MISCHK   1725
         PWK=VOLT1*CRO+VOLT2*CIO                                        MISCHK   1726
         PQK=VOLT2*CRO-VOLT1*CIO                                        MISCHK   1727
         PWDF=-PWK+BMWK                                                 MISCHK   1728
         PQDF=-PQK+BMXK                                                 MISCHK   1729
         IF(LDEB)THEN                                                   MISCHK   1730
            I3=K*3                                                      MISCHK   1731
            IF(IPLINE.GE.60)THEN                                        MISCHK   1732
               IPAGE=IPAGE+1                                            MISCHK   1733
               WRITE(IU16,6100) IPAGE                                   MISCHK   1734
               WRITE(IU16,5100)                                         MISCHK   1735
               IPLINE=10                                                MISCHK   1736
            ENDIF                                                       MISCHK   1737
            IF(ABS(PWDF).GT.PTOL.OR.ABS(PQDF).GT.PTOL) THEN             MISCHK   1738
               MFLAG=.FALSE.                                            MISCHK   1739
               WRITE(IU16,5800) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1740
     *                         ,CDLK,CQLK,-BMWK,-BMXK,PWDF,PQDF,VOLT(K) MISCHK   1741
               WRITE(LOUT,5601) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1742
     *                         ,PWDF,PQDF,VOLT(K)                       MISCHK   1743
            ELSE                                                        MISCHK   1744
               WRITE(IU16,5900) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1745
     *                         ,CDLK,CQLK,-BMWK,-BMXK,PWDF,PQDF,VOLT(K) MISCHK   1746
               WRITE(LOUT,5701) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1747
     *                         ,PWDF,PQDF,VOLT(K)                       MISCHK   1748
            ENDIF                                                       MISCHK   1749
            IPLINE=IPLINE+1                                             MISCHK   1750
         ELSE                                                           MISCHK   1751
            IF(ABS(PWDF).GT.PTOL.OR.ABS(PQDF).GT.PTOL) THEN             MISCHK   1752
               MFLAG=.FALSE.                                            MISCHK   1753
               I3=K*3                                                   MISCHK   1754
               IF(IPLINE.GE.60)THEN                                     MISCHK   1755
                  IPAGE=IPAGE+1                                         MISCHK   1756
                  WRITE(IU16,6100) IPAGE                                MISCHK   1757
                  WRITE(IU16,5100)                                      MISCHK   1758
                  IPLINE=10                                             MISCHK   1759
               ENDIF                                                    MISCHK   1760
               WRITE(IU16,5800) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1761
     *                         ,CDLK,CQLK,-BMWK,-BMXK,PWDF,PQDF,VOLT(K) MISCHK   1762
               WRITE(LOUT,5601) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1763
     *                         ,PWDF,PQDF,VOLT(K)                       MISCHK   1764
               IPLINE=IPLINE+1                                          MISCHK   1765
            ASSIGN 3100 TO I3500                                        MISCHK   1766
            GOTO 3500                                                   MISCHK   1767
 3100       CONTINUE                                                    MISCHK   1768
            ENDIF                                                       MISCHK   1769
         ENDIF                                                          MISCHK   1770
       GOTO I1200                                                       MISCHK   1771
C========================== END I1200 BLOCK                             MISCHK   1772
C                                                                       MISCHK   1773
C========================= THE I1300 BLOCK                              MISCHK   1774
C                                                                       MISCHK   1775
 1300  CONTINUE                                                         MISCHK   1776
         IF(LDEB)THEN                                                   MISCHK   1777
            I3=K*3                                                      MISCHK   1778
            IF(IPLINE.GE.60)THEN                                        MISCHK   1779
               IPAGE=IPAGE+1                                            MISCHK   1780
               WRITE(IU16,6100) IPAGE                                   MISCHK   1781
               WRITE(IU16,5100)                                         MISCHK   1782
               IPLINE=10                                                MISCHK   1783
            ENDIF                                                       MISCHK   1784
            IF(ABS(PWDF).GT.PTOL.OR.ABS(PQDF).GT.PTOL)THEN              MISCHK   1785
               MFLAG=.FALSE.                                            MISCHK   1786
               WRITE(IU16,5600) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)   MISCHK   1787
     &                         ,K,PWDF,PQDF,VOLT(K)                     MISCHK   1788
               WRITE(LOUT,5601) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)   MISCHK   1789
     &                         ,K,PWDF,PQDF,VOLT(K)                     MISCHK   1790
            ELSE                                                        MISCHK   1791
               WRITE(IU16,5700) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)   MISCHK   1792
     &                         ,K,PWDF,PQDF,VOLT(K)                     MISCHK   1793
               WRITE(LOUT,5701) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)   MISCHK   1794
     &                         ,K,PWDF,PQDF,VOLT(K)                     MISCHK   1795
            ENDIF                                                       MISCHK   1796
            IPLINE=IPLINE+1                                             MISCHK   1797
         ELSE                                                           MISCHK   1798
            IF(ABS(PWDF).GT.PTOL.OR.ABS(PQDF).GT.PTOL)THEN              MISCHK   1799
               MFLAG=.FALSE.                                            MISCHK   1800
               I3=K*3                                                   MISCHK   1801
               IF(IPLINE.GE.60)THEN                                     MISCHK   1802
                  IPAGE=IPAGE+1                                         MISCHK   1803
                  WRITE(IU16,6100) IPAGE                                MISCHK   1804
                  WRITE(IU16,5100)                                      MISCHK   1805
                  IPLINE=10                                             MISCHK   1806
               ENDIF                                                    MISCHK   1807
               WRITE(IU16,5600) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)   MISCHK   1808
     &                         ,K,PWDF,PQDF,VOLT(K)                     MISCHK   1809
               WRITE(LOUT,5601) NLF,INAME(I3-2),INAME(I3-1),INAME(I3)   MISCHK   1810
     &                         ,K,PWDF,PQDF,VOLT(K)                     MISCHK   1811
               IPLINE=IPLINE+1                                          MISCHK   1812
            ASSIGN 3200 TO I3500                                        MISCHK   1813
            GOTO 3500                                                   MISCHK   1814
 3200       CONTINUE                                                    MISCHK   1815
            ENDIF                                                       MISCHK   1816
         ENDIF                                                          MISCHK   1817
      GOTO I1300                                                        MISCHK   1818
C                            END I1300 BLOCK                            MISCHK   1819
C=================================                                      MISCHK   1820
C                                                                       MISCHK   1821
C============================= I1400 BLOCK                              MISCHK   1822
C                                                                       MISCHK   1823
 1400   CONTINUE                                                        MISCHK   1824
         IF(LDEB1)THEN                                                  MISCHK   1825
            I3=K*3                                                      MISCHK   1826
      WRITE(IUD6,5300) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)        MISCHK   1827
     &      ,GLX,BLX,VOLT(K)                                            MISCHK   1828
         ENDIF                                                          MISCHK   1829
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    MISCHK   1830
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    MISCHK   1831
         PWK=VOLT1*CRO+VOLT2*CIO                                        MISCHK   1832
         PQK=VOLT2*CRO-VOLT1*CIO                                        MISCHK   1833
         PWDF=PDGK-PWK+BMWK                                             MISCHK   1834
         PQDF=PQGK-PQK+BMXK                                             MISCHK   1835
         IF(LDEB1)THEN                                                  MISCHK   1836
            I3=K*3                                                      MISCHK   1837
            IF(IPLINE.GE.60)THEN                                        MISCHK   1838
               IPAGE=IPAGE+1                                            MISCHK   1839
               WRITE(IU16,6100) IPAGE                                   MISCHK   1840
               WRITE(IU16,5100)                                         MISCHK   1841
               IPLINE=10                                                MISCHK   1842
            ENDIF                                                       MISCHK   1843
            IF(ABS(PWDF).GT.PTOL.OR.ABS(PQDF).GT.PTOL) THEN             MISCHK   1844
               MFLAG=.FALSE.                                            MISCHK   1845
               WRITE(IU16,5400) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1846
     *              ,CRBUS,CIBUS,PDGK,PQGK,CDLK,CQLK,-BMWK,-BMXK,PWDF   MISCHK   1847
     *              ,PQDF,VOLT(K)                                       MISCHK   1848
               WRITE(LOUT,5601) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1849
     *                         ,PWDF,PQDF,VOLT(K)                       MISCHK   1850
            ELSE                                                        MISCHK   1851
               WRITE(IU16,5500) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1852
     *              ,CRBUS,CIBUS,PDGK,PQGK,CDLK,CQLK,-BMWK,-BMXK,PWDF   MISCHK   1853
     *              ,PQDF,VOLT(K)                                       MISCHK   1854
               WRITE(LOUT,5701) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1855
     *                         ,PWDF,PQDF,VOLT(K)                       MISCHK   1856
            ENDIF                                                       MISCHK   1857
            IPLINE=IPLINE+1                                             MISCHK   1858
         ENDIF                                                          MISCHK   1859
       GOTO I1400                                                       MISCHK   1860
C                                                                       MISCHK   1861
C======================  END I1400 BLOCK                                MISCHK   1862
C                                                                       MISCHK   1863
C                                                                       MISCHK   1864
 1500   CONTINUE                                                        MISCHK   1865
         IF(LDEB1)THEN                                                  MISCHK   1866
            I3=K*3                                                      MISCHK   1867
      WRITE(IUD6,5300) NOLD(K),INAME(I3-2),INAME(I3-1),INAME(I3)        MISCHK   1868
     &      ,GLX,BLX,VOLT(K)                                            MISCHK   1869
         ENDIF                                                          MISCHK   1870
         CRO=VOLT1*GLX+BLX*VOLT2-CRO                                    MISCHK   1871
         CIO=VOLT2*GLX-VOLT1*BLX-CIO                                    MISCHK   1872
         PWK=VOLT1*CRO+VOLT2*CIO                                        MISCHK   1873
         PQK=VOLT2*CRO-VOLT1*CIO                                        MISCHK   1874
         PWDF=-PWK+BMWK                                                 MISCHK   1875
         PQDF=-PQK+BMXK                                                 MISCHK   1876
         IF(LDEB1)THEN                                                  MISCHK   1877
            I3=K*3                                                      MISCHK   1878
            IF(IPLINE.GE.60)THEN                                        MISCHK   1879
               IPAGE=IPAGE+1                                            MISCHK   1880
               WRITE(IU16,6100) IPAGE                                   MISCHK   1881
               WRITE(IU16,5100)                                         MISCHK   1882
               IPLINE=10                                                MISCHK   1883
            ENDIF                                                       MISCHK   1884
            IF(ABS(PWDF).GT.PTOL.OR.ABS(PQDF).GT.PTOL) THEN             MISCHK   1885
               MFLAG=.FALSE.                                            MISCHK   1886
               WRITE(IU16,5800) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1887
     *                         ,CDLK,CQLK,-BMWK,-BMXK,PWDF,PQDF,VOLT(K) MISCHK   1888
               WRITE(LOUT,5601) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1889
     *                         ,PWDF,PQDF,VOLT(K)                       MISCHK   1890
            ELSE                                                        MISCHK   1891
               WRITE(IU16,5900) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1892
     *                         ,CDLK,CQLK,-BMWK,-BMXK,PWDF,PQDF,VOLT(K) MISCHK   1893
               WRITE(LOUT,5701) NLF,INAME(I3-2),INAME(I3-1),INAME(I3),K MISCHK   1894
     *                         ,PWDF,PQDF,VOLT(K)                       MISCHK   1895
            ENDIF                                                       MISCHK   1896
            IPLINE=IPLINE+1                                             MISCHK   1897
         ENDIF                                                          MISCHK   1898
            PDSUM=PDSUM+PWDF                                            MISCHK   1899
            QDSUM=QDSUM+PQDF                                            MISCHK   1900
            KITEM=KITEM+1                                               MISCHK   1901
            KBUF(KITEM)=BLANK                                           MISCHK   1902
            KSBUF(KITEM)=BLANK(1:80)                                    MISCHK   1903
            I3=K*3                                                      MISCHK   1904
            WRITE(KBUF(KITEM),6700) NLF,INAME(I3-2),INAME(I3-1),        MISCHK   1905
     +      INAME(I3),K,CDLK,CQLK,-BMWK,-BMXK,VOLT(K)                   MISCHK   1906
            WRITE(KSBUF(KITEM),6501) NLF,INAME(I3-2),INAME(I3-1)        MISCHK   1907
     +      ,INAME(I3),K,VOLT(K)                                        MISCHK   1908
         GOTO 970                                                       MISCHK   1909
C                                                                       MISCHK   1910
C   -------------------------------------------                         MISCHK   1911
C                  I1700 BLOCK                                          MISCHK   1912
C  ---------------------------------------------                        MISCHK   1913
C    CHECK FOR THE CURRENT DUE TO THE  INIFITE BUS                      MISCHK   1914
C                                                                       MISCHK   1915
 1700 CONTINUE                                                          MISCHK   1916
      PINF=0.                                                           MISCHK   1917
      QINF=0.                                                           MISCHK   1918
      DO 105 II=1,KFBUS                                                 MISCHK   1919
       IF( KCINF(II).EQ.K)THEN                                          MISCHK   1920
        CRX=REAL( CINF(II) )                                            MISCHK   1921
        CIX=AIMAG( CINF(II) )                                           MISCHK   1922
        PINF=VOLT1*CRX+VOLT2*CIX+PINF                                   MISCHK   1923
        QINF=VOLT2*CRX-VOLT1*CIX+QINF                                   MISCHK   1924
       ENDIF                                                            MISCHK   1925
 105  CONTINUE                                                          MISCHK   1926
C                                                                       MISCHK   1927
      GOTO I1700                                                        MISCHK   1928
C                                                                       MISCHK   1929
C =============== END OF I1700 BLOCK =====                              MISCHK   1930
C                                                                       MISCHK   1931
C                                                                       MISCHK   1932
C ================ THE I2000 BLOCK =======                              MISCHK   1933
C                                                                       MISCHK   1934
 2000   CONTINUE                                                        MISCHK   1935
         IM=LBRI(K)                                                     MISCHK   1936
         CRO=0.0                                                        MISCHK   1937
         CIO=0.0                                                        MISCHK   1938
 2010     KEY=(IM+1)/2                                                  MISCHK   1939
         ITOL=KTNO(IM)                                                  MISCHK   1940
         IF(ITOL.GT.0)THEN                                              MISCHK   1941
            IF(K.LT.ITOL)THEN                                           MISCHK   1942
               GLX=-REAL(BRAU(KEY))                                     MISCHK   1943
               BLX=AIMAG(BRAU(KEY))                                     MISCHK   1944
            ELSE                                                        MISCHK   1945
               GLX=-REAL(BRAL(KEY))                                     MISCHK   1946
               BLX=AIMAG(BRAL(KEY))                                     MISCHK   1947
            ENDIF                                                       MISCHK   1948
C            ITL=ITOL+ITOL                                              MISCHK   1949
            ER=REAL(VOLT(ITOL))                                         MISCHK   1950
            EI=AIMAG(VOLT(ITOL))                                        MISCHK   1951
            CRO=CRO+GLX*ER+BLX*EI                                       MISCHK   1952
            CIO=CIO+GLX*EI-BLX*ER                                       MISCHK   1953
            IF(LDEB1)THEN                                               MISCHK   1954
               I3=ITOL*3                                                MISCHK   1955
      WRITE(IUD6,6800) K,ITOL,NOLD(K),NOLD(ITOL),INAME(I3-2),INAME(I3-1)MISCHK   1956
     +         ,INAME(I3),GLX,BLX,CRO,CIO,ER,EI                         MISCHK   1957
            ENDIF                                                       MISCHK   1958
         ENDIF                                                          MISCHK   1959
         IM=NELI(IM)                                                    MISCHK   1960
         IF(IM.NE.0)GOTO 2010                                           MISCHK   1961
         GLX=REAL(STAIRS(K))                                            MISCHK   1962
         BLX=-AIMAG(STAIRS(K))                                          MISCHK   1963
         IF (LDEB1) WRITE(IUD6,7000) K,NOLD(K),STAIRS(K),GLX,BLX        MISCHK   1964
         GOTO I2000                                                     MISCHK   1965
C                                                                       MISCHK   1966
C ======================== END I2000 BLOCK ======                       MISCHK   1967
C                                                                       MISCHK   1968
C ================== I3500 BLOCK                                        MISCHK   1969
C                                                                       MISCHK   1970
 3500    CONTINUE                                                       MISCHK   1971
         IM=LBRI(K)                                                     MISCHK   1972
         CRO=0.0                                                        MISCHK   1973
         CIO=0.0                                                        MISCHK   1974
         IF(IPLINE.GE.60)THEN                                           MISCHK   1975
            IPAGE=IPAGE+1                                               MISCHK   1976
            WRITE(IU16,6100) IPAGE                                      MISCHK   1977
            WRITE(IU16,5100)                                            MISCHK   1978
            IPLINE=10                                                   MISCHK   1979
         ENDIF                                                          MISCHK   1980
         WRITE(IU16,7100) STAIRS(K)                                     MISCHK   1981
         IPLINE=IPLINE+1                                                MISCHK   1982
 3510    KEY=(IM+1)/2                                                   MISCHK   1983
         ITOL=KTNO(IM)                                                  MISCHK   1984
         IF(ITOL.GT.0)THEN                                              MISCHK   1985
            IF(K.LT.ITOL)THEN                                           MISCHK   1986
               GLX=-REAL(BRAU(KEY))                                     MISCHK   1987
               BLX=AIMAG(BRAU(KEY))                                     MISCHK   1988
            ELSE                                                        MISCHK   1989
               GLX=-REAL(BRAL(KEY))                                     MISCHK   1990
               BLX=AIMAG(BRAL(KEY))                                     MISCHK   1991
            ENDIF                                                       MISCHK   1992
C            ITL=ITOL+ITOL                                              MISCHK   1993
            ER=REAL(VOLT(ITOL))                                         MISCHK   1994
            EI=AIMAG(VOLT(ITOL))                                        MISCHK   1995
            CRO=GLX*ER+BLX*EI                                           MISCHK   1996
            CIO=GLX*EI-BLX*ER                                           MISCHK   1997
            I3=ITOL*3                                                   MISCHK   1998
            IF(IPLINE.GE.60)THEN                                        MISCHK   1999
               IPAGE=IPAGE+1                                            MISCHK   2000
               WRITE(IU16,6100) IPAGE                                   MISCHK   2001
               WRITE(IU16,5100)                                         MISCHK   2002
               IPLINE=10                                                MISCHK   2003
            ENDIF                                                       MISCHK   2004
      WRITE(IU16,6900) NOLD(ITOL),INAME(I3-2),INAME(I3-1)               MISCHK   2005
     +         ,INAME(I3),GLX,BLX,CRO,CIO,ER,EI                         MISCHK   2006
            IPLINE=IPLINE+1                                             MISCHK   2007
         ENDIF                                                          MISCHK   2008
         IM=NELI(IM)                                                    MISCHK   2009
         IF(IM.NE.0)GOTO 3510                                           MISCHK   2010
         GOTO I3500                                                     MISCHK   2011
C                                                                       MISCHK   2012
C================ 3550 BLOCK  ===                                       MISCHK   2013
C                                                                       MISCHK   2014
 3550 CONTINUE                                                          MISCHK   2015
C                                                                       MISCHK   2016
      IF(MFLAG) THEN                                                    MISCHK   2017
        WRITE(IU16,6200)                                                MISCHK   2018
        WRITE(LOUT,6201)                                                MISCHK   2019
      ENDIF                                                             MISCHK   2020
C                                                                       MISCHK   2021
      IF(NRANI.NE.0) THEN                                               MISCHK   2022
         DO 3600 K=1,NRANI                                              MISCHK   2023
         JR=JRDAT(K)                                                    MISCHK   2024
         NJ=IDDAT(JR+1)                                                 MISCHK   2025
         NK=IDDAT(JR+2)                                                 MISCHK   2026
         IF(NJ.GT.NK) THEN                                              MISCHK   2027
            NJ=IDDAT(JR+2)                                              MISCHK   2028
            NK=IDDAT(JR+1)                                              MISCHK   2029
         END IF                                                         MISCHK   2030
         ICKID=IDDAT(JR+3)                                              MISCHK   2031
         ICKT1(1:2)=CCKID(3:4)                                          MISCHK   2032
         BFRAC=IDDAT(JR+5)                                              MISCHK   2033
         IRANF=IDDAT(JR+6)                                              MISCHK   2034
         IA=LBRI(NJ)                                                    MISCHK   2035
C                                                                       MISCHK   2036
 3610    CONTINUE                                                       MISCHK   2037
         IF(IA.EQ.0) THEN                                               MISCHK   2038
            WRITE(MSG(1),7200)                                          MISCHK   2039
            WRITE(MSG(2),7300)NOLD(IDDAT(JR+1)),NOLD(IDDAT(JR+2)),ICKT1 MISCHK   2040
            CALL PRTMSG(2)                                              MISCHK   2041
            MSG(1)='MISCHK: RANI BUS ERROR'                             MISCHK   2042
            CALL ASTOP(MSG(1),22)                                       MISCHK   2043
         END IF                                                         MISCHK   2044
         INET=(IA+1)/2                                                  MISCHK   2045
         JCKID=IARCCT(INET)                                             MISCHK   2046
         NODEK=KTNO(IA)                                                 MISCHK   2047
         ILP=IABS(LINEPO(IA))                                           MISCHK   2048
         JTRF2=2*LTRANC(ILP)                                            MISCHK   2049
         IF(NODEK.EQ.NK.AND.ICKT1(1:2).EQ.CKID(3:4)) THEN               MISCHK   2050
            IF(JTRF2.EQ.0) THEN                                         MISCHK   2051
               BRRE=REAL(BRAU(INET))                                    MISCHK   2052
               BRRE1=ABS(BRRE)                                          MISCHK   2053
               BRIM=AIMAG(BRAU(INET))                                   MISCHK   2054
               BRIM1=ABS(BRIM)                                          MISCHK   2055
               IF(IRANF.EQ.0.OR.IRANF.EQ.3) THEN                        MISCHK   2056
                  IF(BRRE1.LT.0.000001) THEN                            MISCHK   2057
                     BRANT(K)=BRIM*BFRAC/100.0                          MISCHK   2058
                  ELSE                                                  MISCHK   2059
                     WRITE(MSG(1),7400)                                 MISCHK   2060
                     WRITE(MSG(2),7300) NOLD(IDDAT(JR+1))               MISCHK   2061
     *                           ,NOLD(IDDAT(JR+2)),ICKT1               MISCHK   2062
                     CALL PRTMSG(2)                                     MISCHK   2063
                     MSG(1)='MISCHK: REACTIVE RANI ERROR'               MISCHK   2064
                     CALL ASTOP(MSG(1),27)                              MISCHK   2065
                  ENDIF                                                 MISCHK   2066
               ENDIF                                                    MISCHK   2067
               IF(IRANF.EQ.1) THEN                                      MISCHK   2068
                  IF(BRIM1.LT.0.000001) THEN                            MISCHK   2069
                     BRANT(K)=-BRRE*BFRAC/100.0                         MISCHK   2070
                  ELSE                                                  MISCHK   2071
                     WRITE(MSG(1),7700)                                 MISCHK   2072
                     WRITE(MSG(2),7300) NOLD(IDDAT(JR+1))               MISCHK   2073
     *                           ,NOLD(IDDAT(JR+2)),ICKT1               MISCHK   2074
                     CALL PRTMSG(2)                                     MISCHK   2075
                     MSG(1)='MISCHK: RESISTIVE RANI ERROR'              MISCHK   2076
                     CALL ASTOP(MSG(1),28)                              MISCHK   2077
                  ENDIF                                                 MISCHK   2078
               ENDIF                                                    MISCHK   2079
               IF(IRANF.EQ.2) THEN                                      MISCHK   2080
                  IF(BRIM.GT.0.000001) THEN                             MISCHK   2081
                     BRANT(K)=BRIM                                      MISCHK   2082
                     GRANT(K)=-BRRE                                     MISCHK   2083
                  ELSE                                                  MISCHK   2084
                     WRITE(MSG(1),7800)                                 MISCHK   2085
                     WRITE(MSG(2),7300) NOLD(IDDAT(JR+1))               MISCHK   2086
     *                           ,NOLD(IDDAT(JR+2)),ICKT1               MISCHK   2087
                     CALL PRTMSG(2)                                     MISCHK   2088
                     MSG(1)='MISCHK: INSERTIVE RANI ERROR'              MISCHK   2089
                     CALL ASTOP(MSG(1),28)                              MISCHK   2090
                  ENDIF                                                 MISCHK   2091
               ENDIF                                                    MISCHK   2092
            ELSE                                                        MISCHK   2093
               WRITE(MSG(1),7500)                                       MISCHK   2094
               WRITE(MSG(2),7300) NOLD(IDDAT(JR+1))                     MISCHK   2095
     *                           ,NOLD(IDDAT(JR+2)),ICKT1               MISCHK   2096
               CALL PRTMSG(2)                                           MISCHK   2097
               MSG(1)='MISCHK: RANI CONNECTION ERROR'                   MISCHK   2098
               CALL ASTOP(MSG(1),29)                                    MISCHK   2099
            END IF                                                      MISCHK   2100
         ELSE                                                           MISCHK   2101
            IA=NELI(IA)                                                 MISCHK   2102
            GOTO 3610                                                   MISCHK   2103
         END IF                                                         MISCHK   2104
 3600   CONTINUE                                                        MISCHK   2105
      ENDIF                                                             MISCHK   2106
C                                                                       MISCHK   2107
      IF(NTCPS.NE.0) THEN                                               MISCHK   2108
         DO 3620 K=1,NTCPS                                              MISCHK   2109
         JTP=JTPDAT(K)                                                  MISCHK   2110
         NJ=IDDAT(JTP+1)                                                MISCHK   2111
         NK=IDDAT(JTP+2)                                                MISCHK   2112
         NLF1=NOLD(NJ)                                                  MISCHK   2113
         NLF2=NOLD(NK)                                                  MISCHK   2114
         NJK=0                                                          MISCHK   2115
         IF(NJ.GT.NK) THEN                                              MISCHK   2116
            NJ=IDDAT(JTP+2)                                             MISCHK   2117
            NK=IDDAT(JTP+1)                                             MISCHK   2118
            NJK=1                                                       MISCHK   2119
         END IF                                                         MISCHK   2120
         ICKID=IDDAT(JTP+3)                                             MISCHK   2121
         ICKT1(1:2)=CCKID(3:4)                                          MISCHK   2122
         IA=LBRI(NJ)                                                    MISCHK   2123
C                                                                       MISCHK   2124
 3630    CONTINUE                                                       MISCHK   2125
         IF(IA.EQ.0) THEN                                               MISCHK   2126
            WRITE(MSG(1),7600)                                          MISCHK   2127
            WRITE(MSG(2),7300)NOLD(IDDAT(JR+1)),NOLD(IDDAT(JR+2)),ICKT1 MISCHK   2128
            CALL PRTMSG(2)                                              MISCHK   2129
            MSG(1)='MISCHK:  STP BUS ERROR'                             MISCHK   2130
            CALL ASTOP(MSG(1),22)                                       MISCHK   2131
         END IF                                                         MISCHK   2132
         INET=(IA+1)/2                                                  MISCHK   2133
         JCKID=IARCCT(INET)                                             MISCHK   2134
         NODEK=KTNO(IA)                                                 MISCHK   2135
         ILP=IABS(LINEPO(IA))                                           MISCHK   2136
         JTRF2=2*LTRANC(ILP)                                            MISCHK   2137
         IF(JTRF2.EQ.0) THEN                                            MISCHK   2138
            TETA=0.0                                                    MISCHK   2139
            RATSTP=1.0                                                  MISCHK   2140
         ELSE                                                           MISCHK   2141
            TETA=RANG(JTRF2)/57.29578                                   MISCHK   2142
            RATSTP=RATIO(JTRF2-1)                                       MISCHK   2143
         END IF                                                         MISCHK   2144
         DDAT(JTP+14)=TETA                                              MISCHK   2145
         DDAT(JTP+15)=RATSTP                                            MISCHK   2146
         IF(NODEK.EQ.NK.AND.ICKT1.EQ.CKID(3:4)) THEN                    MISCHK   2147
            IF(RATSTP.LT.0.0) THEN                                      MISCHK   2148
               GJKT=REAL(BRAL(INET))                                    MISCHK   2149
               BJKT=AIMAG(BRAL(INET))                                   MISCHK   2150
               DDAT(JTP+12)=RATSTP*(GJKT*COS(TETA)                      MISCHK   2151
     &         +BJKT*SIN(TETA))                                         MISCHK   2152
               DDAT(JTP+13)=RATSTP*(GJKT*SIN(TETA)                      MISCHK   2153
     &         -BJKT*COS(TETA))                                         MISCHK   2154
               IF(IDDAT(JTP+1).GT.IDDAT(JTP+2))                         MISCHK   2155
     &         DDAT(JTP+15)=-DDAT(JTP+15)                               MISCHK   2156
            ELSE                                                        MISCHK   2157
               GJKT=REAL(BRAU(INET))                                    MISCHK   2158
               BJKT=AIMAG(BRAU(INET))                                   MISCHK   2159
               DDAT(JTP+12)=RATSTP*(-GJKT*COS(TETA)                     MISCHK   2160
     &         -BJKT*SIN(TETA))                                         MISCHK   2161
               DDAT(JTP+13)=RATSTP*(-GJKT*SIN(TETA)                     MISCHK   2162
     &         +BJKT*COS(TETA))                                         MISCHK   2163
               IF(IDDAT(JTP+1).GT.IDDAT(JTP+2))                         MISCHK   2164
     &         DDAT(JTP+15)=-DDAT(JTP+15)                               MISCHK   2165
            END IF                                                      MISCHK   2166
         ELSE                                                           MISCHK   2167
            IA=NELI(IA)                                                 MISCHK   2168
            GOTO 3630                                                   MISCHK   2169
         END IF                                                         MISCHK   2170
 3620   CONTINUE                                                        MISCHK   2171
      ENDIF                                                             MISCHK   2172
C                                                                       MISCHK   2173
      IF(ICDC.GT.LCDC) THEN                                             MISCHK   2174
         DO 3622 K=LCDC+1,ICDC                                          MISCHK   2175
         JPOSN=IDC(K)                                                   MISCHK   2176
         IF(JPOSN.EQ.0) GO TO 3622                                      MISCHK   2177
         NJD=IDCBNU(JPOSN)                                              MISCHK   2178
         IF(NJD.EQ.0) GO TO 3622                                        MISCHK   2179
         NJ=IUQABU(NJD)                                                 MISCHK   2180
         BBUSX=VABASE(JPOSN)*VABASE(JPOSN)/XCCONV(JPOSN)/PABASE         MISCHK   2181
         NKD=IDCBN2(JPOSN)                                              MISCHK   2182
         IF(NKD.EQ.0) THEN                                              MISCHK   2183
            STAIRS(NJ)=STAIRS(NJ)-CMPLX(0.0,BBUSX)                      MISCHK   2184
         ELSE                                                           MISCHK   2185
            NK=IUQABU(NKD)                                              MISCHK   2186
            IF(NJ.GT.NK) THEN                                           MISCHK   2187
               NJ=IUQABU(NKD)                                           MISCHK   2188
               NK=IUQABU(NJD)                                           MISCHK   2189
            END IF                                                      MISCHK   2190
            NL=NL+1                                                     MISCHK   2191
            LLNET=LLNET+1                                               MISCHK   2192
            IENDB=LLNET+LLNET                                           MISCHK   2193
            IENDA=IENDB-1                                               MISCHK   2194
            NELI(IENDA)=LBRI(NJ)                                        MISCHK   2195
            LBRI(NJ)=IENDA                                              MISCHK   2196
            KTNO(IENDA)=NK                                              MISCHK   2197
            NELI(IENDB)=LBRI(NK)                                        MISCHK   2198
            LBRI(NK)=IENDB                                              MISCHK   2199
            KTNO(IENDB)=NJ                                              MISCHK   2200
            CCKID='  DC'                                                MISCHK   2201
            IARCCT(LLNET)=JCKID                                         MISCHK   2202
            BRAU(LLNET)=CMPLX(0.0,BBUSX)                                MISCHK   2203
            BRAL(LLNET)=CMPLX(0.0,BBUSX)                                MISCHK   2204
            STAIRS(NJ)=STAIRS(NJ)-CMPLX(0.0,BBUSX)                      MISCHK   2205
            STAIRS(NK)=STAIRS(NK)-CMPLX(0.0,BBUSX)                      MISCHK   2206
            ICKT1(1:2)=CCKID(3:4)                                       MISCHK   2207
            IA=LBRI(NJ)                                                 MISCHK   2208
C                                                                       MISCHK   2209
 3621       CONTINUE                                                    MISCHK   2210
            IF(IA.EQ.0) GO TO 3622                                      MISCHK   2211
            INET=(IA+1)/2                                               MISCHK   2212
            JCKID=IARCCT(INET)                                          MISCHK   2213
            NODEK=KTNO(IA)                                              MISCHK   2214
            IF(NODEK.EQ.NK.AND.ICKT1(1:2).EQ.CKID(3:4)) THEN            MISCHK   2215
               WRITE(MSG(1),7601) DCCNAM(JPOSN)                         MISCHK   2216
               WRITE(MSG(2),7602)                                       MISCHK   2217
               CALL PRTMSG(2)                                           MISCHK   2218
            ELSE                                                        MISCHK   2219
               IA=NELI(IA)                                              MISCHK   2220
               GOTO 3621                                                MISCHK   2221
            END IF                                                      MISCHK   2222
         END IF                                                         MISCHK   2223
 3622    CONTINUE                                                       MISCHK   2224
      ENDIF                                                             MISCHK   2225
CD                                                                      MISCHK   2226
CD    THE NETWORK AND SYSTEM INFORMATION IS WRITTEN INTO FILE IU4 TO    MISCHK   2227
CD    BE READ IN ROUTINE MODIFY.                                        MISCHK   2228
CD                                                                      MISCHK   2229
C                                                                       MISCHK   2230
C     WRITE THE STAIRS ARRAY AND CCTID RECORDS TO FILE IU4              MISCHK   2231
C                                                                       MISCHK   2232
      REWIND IU4                                                        MISCHK   2233
C                                                                       MISCHK   2234
      WRITE(IU4) NLAST,LLNET                                            MISCHK   2235
      CALL IFWR(IU4,0,NLAST,LBRI)                                       MISCHK   2236
      CALL IFWR(IU4,0,LLNET*2,NELI)                                     MISCHK   2237
      CALL IHWR(IU4,0,LLNET*2,KTNO)                                     MISCHK   2238
      CALL IFWR(IU4,0,LLNET,IARCCT)                                     MISCHK   2239
C                                                                       MISCHK   2240
      WRITE(IU4) NTT                                                    MISCHK   2241
      CALL FLWR(IU4,0,NTT,XPD)                                          MISCHK   2242
C                                                                       MISCHK   2243
      WRITE(IU4) NLBS,VTHZL,VTHZH                                       MISCHK   2244
      IF(NLBS.NE.0) CALL IFWR(IU4,0,NLBS,NLDOLD)                        MISCHK   2245
C                                                                       MISCHK   2246
      WRITE(IU4) NVBS,IPNODE,NMOTL,NSVC,IGFD                            MISCHK   2247
C      WRITE(IU4) NVBS,IPNODE,IMNODE,ISVNOE,ILNODE,NMOTL,NSVC           MISCHK   2248
      CALL IFWR(IU4,0,NLAST,NOLD)                                       MISCHK   2249
      CALL IHWR(IU4,0,NB*4,NBTDL)                                       MISCHK   2250
C                                                                       MISCHK   2251
      IF(NT.NE.0)CALL IHWR(IU4,0,IPNODE,NTHG)                           MISCHK   2252
      IF(NMOTL.NE.0)CALL IFWR(IU4,0,NMOTL,NMOLD)                        MISCHK   2253
      IF(NSVC.NE.0)CALL IFWR(IU4,0,NSVC,NROLD)                          MISCHK   2254
C                                                                       MISCHK   2255
C      IF(NMOTL.EQ.0) CALL CMPWR(IU4,0,NLAST,STAIRS)                    MISCHK   2256
       CALL CMPWR(IU4,0,NLAST,STAIRS)                                   MISCHK   2257
       CALL CMPWR(IU4,0,NLAST,VOLT)                                     MISCHK   2258
CD                                                                      MISCHK   2259
CD    THE LOADFLOW BRANCH DATA IS WRITTEN INTO FILE IU7 TO BE READ IN   MISCHK   2260
CD    ROUTINE MODIFY FOR NETWORK CHANGE.                                MISCHK   2261
CD                                                                      MISCHK   2262
      REWIND IU7                                                        MISCHK   2263
      WRITE(IU7)LLNET                                                   MISCHK   2264
      CALL CMPWR(IU7,0,LLNET,BRAU)                                      MISCHK   2265
      CALL CMPWR(IU7,0,LLNET,BRAL)                                      MISCHK   2266
C                                                                       MISCHK   2267
C     PRINT LINKNET ARRAYS                                              MISCHK   2268
C                                                                       MISCHK   2269
      IF(LDEB)THEN                                                      MISCHK   2270
         II=MIN(100,LLNET)                                              MISCHK   2271
         II=II+II                                                       MISCHK   2272
         WRITE(IUD6,5000)(I,LBRI(I),NELI(I),KTNO(I),BRAU(I),BRAL(I)     MISCHK   2273
     *   ,I=1,II)                                                       MISCHK   2274
      ENDIF                                                             MISCHK   2275
C                                                                       MISCHK   2276
      RETURN                                                            MISCHK   2277
C                                                                       MISCHK   2278
 5000 FORMAT(1X,'LINKNET ARRAYS:',/,(1X,4I5,4G12.5))                    MISCHK   2279
 5100 FORMAT(/,'  BUS#   BUS NAME    INT#   GRBUS   GIBUS     PDG'      MISCHK   2280
     &,'     PQG     CDL     CQL     BMW     BMX     PDF     QDF   '    MISCHK   2281
     &,'EREAL   EIMAG',/,'  ---- ',12('-'),'  ----',12('   -----'))     MISCHK   2282
 5200 FORMAT (' ITOL=',I5,1X,3A4,' GLX=',E12.4,' BLX=',E12.4            MISCHK   2283
     +,' CRO=',E12.4,' CIO=',E12.4,' EREAL=',E12.4,' EIMAG=',E12.4)     MISCHK   2284
 5300 FORMAT (' K=',I5,1X,3A4,' GLX=',E12.4,' BLX=',E12.4               MISCHK   2285
     &,' EREAL=',E12.4,' EIMAG=',E12.4)                                 MISCHK   2286
 5400 FORMAT(1X,I5,1X,3A4,I6,12F8.3,' *')                               MISCHK   2287
 5500 FORMAT(1X,I5,1X,3A4,I6,12F8.3)                                    MISCHK   2288
 5600 FORMAT(1X,I5,1X,3A4,I6,64X,4F8.3,' *')                            MISCHK   2289
 5601 FORMAT(2X,I6,2X,3A4,2X,I6,4F8.3,' *')                             MISCHK   2290
 5700 FORMAT(1X,I5,1X,3A4,I6,64X,4F8.3)                                 MISCHK   2291
 5701 FORMAT(2X,I6,2X,3A4,2X,I6,4F8.3)                                  MISCHK   2292
 5800 FORMAT(1X,I5,1X,3A4,I6,32X,8F8.3,' *')                            MISCHK   2293
 5900 FORMAT(1X,I5,1X,3A4,I6,32X,8F8.3)                                 MISCHK   2294
 6000 FORMAT(' PTHVDC=',F10.5,' QTHVDC=',F10.5)                         MISCHK   2295
 6100 FORMAT('1  WARNING AND ERROR MESSAGES REFORT',T120,'PAGE:',I4,//  MISCHK   2296
     *,T58,'MISMATCH CHECK',/,T58,'==============',                     MISCHK   2297
     2 /,' WARNING: THE MISMATCH AT THE FOLLOWING BUSES EXCEEDS ',      MISCHK   2298
     3  '0.05 P.U. . THE USER IS URGED TO CHECK THE CONVER',            MISCHK   2299
     4  'GENCE OF THE LOAD',                                            MISCHK   2300
     5/,T11,' FLOW, THE LOADFLOW DATA AND DYNAMIC DATA ASSOCIATED',     MISCHK   2301
     6       ' WITH THESE BUSES. LOW IMPEDANCE LINES OF LESS THAN',     MISCHK   2302
     7       ' 0.005 P.U.',                                             MISCHK   2303
     8 /,T11,'ARE A LIKELY CAUSE OF THESE MISMATCHES, IN WHICH CASE ',  MISCHK   2304
     9       'THEY CAN BE IGNORED.')                                    MISCHK   2305
 6101 FORMAT(/16X,'*** LOAD FLOW MISMATCH CHECK ***',//                 MISCHK   2306
     *,'  BUS NO  STATION NAME  INT NO     PDF     QDF   EREAL   EIMAG' MISCHK   2307
     &,/,' ------- ',1X,12('-'),'  ------',4('   -----'))               MISCHK   2308
 6200 FORMAT(//,T58,'* * * NO MISMATCH * * *')                          MISCHK   2309
 6201 FORMAT(/,20X,'* * * NO MISMATCH * * *',/)                         MISCHK   2310
 6300 FORMAT(A132)                                                      MISCHK   2311
 6400 FORMAT(21X,'MISMATCHES DUE TO THE ZERO-IMPEDANCE LINE '           MISCHK   2312
     1,'BETWEEN THE ABOVE BUSES -->',T90,2F8.3,16X,' *')                MISCHK   2313
 6401 FORMAT(30X,2F8.3,16X,' *')                                        MISCHK   2314
 6500 FORMAT(1X,I5,1X,3A4,I6,8F8.3,16X,2F8.3,' +')                      MISCHK   2315
 6501 FORMAT(2X,I6,2X,3A4,2X,I6,16X,2F8.3,' +')                         MISCHK   2316
 6600 FORMAT(1X,I5,1X,3A4,I6,80X,2F8.3,' +')                            MISCHK   2317
 6700 FORMAT(1X,I5,1X,3A4,I6,32X,4F8.3,16X,2F8.3,' +')                  MISCHK   2318
 6800 FORMAT(' K=',I5,' ITOL=',I5,' FRM=',I5,' TO=',I5,1X,3A4,          MISCHK   2319
     +' GLX=',G12.5,' BLX=',G12.5,' CRO=',G12.5,' CIO=',                MISCHK   2320
     +G12.5,/,10X,'EREAL=',G12.5,' EIMAG=',G12.5)                       MISCHK   2321
 6900 FORMAT (7X,'TO BUS=',I5,' NAME =',3A4,'  G='                      MISCHK   2322
     +,G12.5,' B=',G12.5,' CUR= ( ',G12.5,','                           MISCHK   2323
     +,G12.5,')  V= (',F9.5,',',F9.5,')')                               MISCHK   2324
 7000 FORMAT (' K=',I5,' FRM=',I5,' STAIRS=',G12.5,2X,G12.5,' GLX='     MISCHK   2325
     +,G12.5,' BLX=',G12.5)                                             MISCHK   2326
 7100 FORMAT (7X,'SELF ADMITTANCE = (',G12.5,',',G12.5,')')             MISCHK   2327
 7200 FORMAT(' *** ERROR THE SPECIFIED RANI DOES NOT EXIST IN LOAD'     MISCHK   2328
     &,' FLOW.')                                                        MISCHK   2329
 7300 FORMAT(5X,'FBUS=',I5,' TBUS=',I5,' CKTID=',A2)                    MISCHK   2330
 7400 FORMAT(' *** ERROR REACTIVE RANI CANNOT BE A FRACTION OF A ',     MISCHK   2331
     &'LINE HAVING RESISTANCE.')                                        MISCHK   2332
 7500 FORMAT(' *** ERROR RANI CANNOT BE A FRACTION OF A TRANSFORMER')   MISCHK   2333
 7600 FORMAT(                                                           MISCHK   2334
     *' *** ERROR THE SPECIFIED STP DOES NOT EXIST IN LOAD FLOW.')      MISCHK   2335
 7700 FORMAT(' *** EEROR RESISTIVE RANI CANNOT BE A FRACTION OF A ',    MISCHK   2336
     &'LINE HAVING REACTANCE.')                                         MISCHK   2337
 7800 FORMAT(' *** EEROR INSERTIVE RANI CANNOT BE INSERTED IN A ',      MISCHK   2338
     &'RESISTIVE/CAPACITIVE BRANCH.')                                   MISCHK   2339
 7601 FORMAT(' *** WARNING HVDC CONVERTER: "',A29,'"')                  MISCHK   2340
 7602 FORMAT(5X,'IS IN PARALLEL WITH A LINE HAVING CID: "DC". CHANGE'   MISCHK   2341
     *,' THE LINE CID IF MONITORED.')                                   MISCHK   2342
                                                                        MISCHK   2343
      END                                                               MISCHK   2344
